<?php

namespace App\Http\Controllers\Doctor;

use App\Http\Controllers\Controller;
use App\Models\Doctor;
use App\Models\PagoDoctor;
use App\Models\PagoTratamiento;
use App\Models\Procedimiento;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Response;


class AuthDoctorController extends Controller
{


    function login_index()
    {
        return view('doctor.auth.login');
    }

    function login(Request $request)
    {
        $contra = $request->password;
        $doc = Doctor::where('email', $request->email)->first();
        if (!$doc) {
            return redirect()->route('login_doctor');
            alert()->warning('Doctor', 'Datos Incorrectos');
        }
        if ($doc->password == $contra) {
            alert()->success('Doctor', 'Sesion Iniciada');
            $request->session()->regenerate();
            session(['doctor_id' => $doc->id]);
            session(['doctor' => $doc]);
            return redirect()->route('doc.home');
        } else {
            alert()->warning('Doctor', 'Datos Incorrectos');
            return redirect()->route('login_doctor');
        }
    }

    function home()
    {

        $pagos = DB::table('pago_docotores as pd')
        ->join('tratamientos as tr', 'pd.tratamiento_id', '=', 'tr.id')
        ->join('pacientes as pac', 'pd.paciente_id', '=', 'pac.id')
        ->select(
            'pd.pieza',
            'pd.created_at',
            'tr.nombre as tratamiento',
            'tr.descripcion as descripcionTr',
            'tr.id as tratamiento_id',
            'tr.precio',
            'tr.tipo',
            'pac.nombre'
        )
        ->where('pd.doctor_id', session()->get('doctor_id'))
        ->whereMonth('pd.created_at', date('m'))
        ->whereYear('pd.created_at', date('Y'))
        ->orderBy('pd.id', 'desc')
        ->get();

        return view('doc.home', compact('pagos'));
    }

    function logout(Request $request)
    {
        $request->session()->invalidate();
        $request->session()->regenerateToken();
        $request->session()->flush();
        return redirect()->route('login_doctor');
    }

    function pacientesHoy(Request $request)
    {
        $procedimientos = Procedimiento::where('doctor_id', $request->session()->get('doctor_id'))->whereDate('fecha', date('Y-m-d'))->get();
        // dd($procedimientos, $request->session()->get('doctor_id'));
        return view('doc.pacientes', compact('procedimientos'));
    }

    function updateProcedimiento(Request $request, $id)
    {
        $procedi = Procedimiento::find($id);
        $procedi->recomendacion = $request->recomendacion;
        $procedi->save();
        alert()->success('Paciente', 'Datos Actualizados');
        return redirect()->back();
    }

    function updateProcedimientoajax(Request $request) {

        $procedi = Procedimiento::find($request->procedimiento_id);
        $procedi->recomendacion = $request->recomendacion;
        $procedi->save();
        alert()->success('Paciente', 'Datos Actualizados');
        return Response::json([
            'request' => $request->all(),
            'data' => $procedi
        ]);
    }

    function pacientestredias(Request $request)
    {
        $hoy = date('Y-m-d');
        $tres_atras = date("d-m-Y",strtotime($hoy."- 2 days")); 
        $procedimientos = Procedimiento::where('doctor_id', $request->session()->get('doctor_id'))
        ->whereBetween('fecha', [$tres_atras, $hoy])
        ->get();
        // dd($procedimientos);
        return view('doc.pacientes', compact('procedimientos'));
    }


    function reportes() {

        return view('doc.reportes');
    }


    public function prindPagos($id, Request $request)
    {
        $doctore = Doctor::find($id);
        $historial = DB::table('pago_docotores as pd')
            ->join('tratamientos as tr', 'pd.tratamiento_id', '=', 'tr.id')
            ->join('pacientes as pac', 'pd.paciente_id', '=', 'pac.id')
            ->select(
                'pd.pieza',
                'pd.created_at',
                'tr.nombre as tratamiento',
                'tr.descripcion as descripcionTr',
                'tr.id as tratamiento_id',
                'tr.precio',
                'tr.tipo',
                'pac.nombre',
                'pac.id as paciente_id'
            )
            ->where('pd.doctor_id', $id)
            ->whereMonth('pd.created_at', $request->mes)
            ->whereYear('pd.created_at', $request->ano)
            ->orderBy('pd.id', 'desc')
            ->get();

        $total_pago = 0;

        for ($i = 0; $i < count($historial); $i++) {

            // para buscar los procentajes de pago
            $pagoTatamiento = PagoTratamiento::where('doctor_id', $id)
                ->where('tratamiento_id', $historial[$i]->tratamiento_id)
                ->first();
            $total_pago = $total_pago + ($pagoTatamiento->porcentaje * $historial[$i]->precio) / 100;
        }

        $descu = DB::table('descuento_doctors as des')
            ->select('des.*')
            ->where('des.doctor_id', $id)
            ->whereMonth('des.created_at', $request->mes)
            ->whereYear('des.created_at', $request->ano)
            ->get();



        return view('reports.doctores.pagos', ['doctore' => $doctore, 'historial' => $historial, 'total_Pago' => $total_pago,'descuentos' => $descu]);
    }

    
    public function reportPagoDocto($id)
    {
        

        $pagos = DB::table('pago_tratamientos as pg')
            ->join('doctores as doc', 'pg.doctor_id', '=', 'doc.id')
            ->join('tratamientos as tr', 'pg.tratamiento_id', '=', 'tr.id')
            ->select('doc.nombre as doctor', 'doc.especialidad', 'tr.nombre as tratamiento', 'tr.precio', 'tr.tipo', 'pg.porcentaje', 'pg.id', 'tr.precio')
            ->where('doc.id', $id)
            ->get();

        return view('reports.tratamientos.pagos', ['pagos' => $pagos, 'titulo' => 'Pagos Doctor', 'visible' => false]);
    }

}
