-- MySQL dump 10.13  Distrib 8.0.27, for Linux (x86_64)
--
-- Host: 127.0.0.1    Database: fulldental
-- ------------------------------------------------------
-- Server version	8.0.27-0ubuntu0.20.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `abonos`
--

DROP TABLE IF EXISTS `abonos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `abonos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `valor` double NOT NULL,
  `recibo` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `factura` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tipo` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `abonos_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `abonos_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `abonos`
--

/*!40000 ALTER TABLE `abonos` DISABLE KEYS */;
INSERT INTO `abonos` VALUES (1,1,200,NULL,'E-0065','PAGO DE CONSULTA Y OTROS','EFECTIVO','2021-11-20 16:02:53','2021-11-20 16:02:53'),(2,1,300,NULL,'F45','ABONO EXTRA','EFECTIVO','2021-11-20 16:07:05','2021-11-20 16:07:05');
/*!40000 ALTER TABLE `abonos` ENABLE KEYS */;

--
-- Table structure for table `actividads`
--

DROP TABLE IF EXISTS `actividads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `actividads` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `actividads_user_id_foreign` (`user_id`),
  CONSTRAINT `actividads_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actividads`
--

/*!40000 ALTER TABLE `actividads` DISABLE KEYS */;
/*!40000 ALTER TABLE `actividads` ENABLE KEYS */;

--
-- Table structure for table `agendas`
--

DROP TABLE IF EXISTS `agendas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `agendas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `doctor_id` bigint unsigned NOT NULL,
  `paciente` varchar(150) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tratamiento` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `fecha` date NOT NULL,
  `hora` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `estado` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `agendas_doctor_id_foreign` (`doctor_id`),
  CONSTRAINT `agendas_doctor_id_foreign` FOREIGN KEY (`doctor_id`) REFERENCES `doctores` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `agendas`
--

/*!40000 ALTER TABLE `agendas` DISABLE KEYS */;
/*!40000 ALTER TABLE `agendas` ENABLE KEYS */;

--
-- Table structure for table `anestesias`
--

DROP TABLE IF EXISTS `anestesias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `anestesias` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `pader` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `edad` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `civil` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `profecion` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dpi` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `anestesias_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `anestesias_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `anestesias`
--

/*!40000 ALTER TABLE `anestesias` DISABLE KEYS */;
/*!40000 ALTER TABLE `anestesias` ENABLE KEYS */;

--
-- Table structure for table `articulos`
--

DROP TABLE IF EXISTS `articulos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `articulos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `proveedor_id` bigint unsigned NOT NULL,
  `categoria_id` bigint unsigned NOT NULL,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cod_barras` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `descripcion_interna` text COLLATE utf8mb4_unicode_ci,
  `p_venta` double(7,2) NOT NULL,
  `p_costo` double(7,2) NOT NULL,
  `stock` double(7,2) NOT NULL,
  `min_stock` double DEFAULT '0',
  `img` text COLLATE utf8mb4_unicode_ci,
  `img2` text COLLATE utf8mb4_unicode_ci,
  `fecha_promo` date DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `articulos_proveedor_id_foreign` (`proveedor_id`),
  KEY `articulos_categoria_id_foreign` (`categoria_id`),
  CONSTRAINT `articulos_categoria_id_foreign` FOREIGN KEY (`categoria_id`) REFERENCES `categoria` (`id`),
  CONSTRAINT `articulos_proveedor_id_foreign` FOREIGN KEY (`proveedor_id`) REFERENCES `proveedores` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `articulos`
--

/*!40000 ALTER TABLE `articulos` DISABLE KEYS */;
INSERT INTO `articulos` VALUES (1,1,1,'PRUEBA','11202120171018','HOLA MUNDO','HOLAS',100.00,70.00,70.00,20,NULL,NULL,'2021-11-30',NULL,'2021-11-20 16:17:18','2021-11-20 16:17:18');
/*!40000 ALTER TABLE `articulos` ENABLE KEYS */;

--
-- Table structure for table `articulos_kanauses`
--

DROP TABLE IF EXISTS `articulos_kanauses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `articulos_kanauses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cod_barras` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `descripcion_interna` text COLLATE utf8mb4_unicode_ci,
  `p_venta` double(7,2) NOT NULL,
  `p_costo` double(7,2) NOT NULL,
  `stock` double(7,2) NOT NULL,
  `min_stock` double DEFAULT '0',
  `img` text COLLATE utf8mb4_unicode_ci,
  `img2` text COLLATE utf8mb4_unicode_ci,
  `fecha_promo` date DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `bodega_id` bigint unsigned NOT NULL,
  `categoria_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `articulos_kanauses_bodega_id_foreign` (`bodega_id`),
  KEY `articulos_kanauses_categoria_id_foreign` (`categoria_id`),
  CONSTRAINT `articulos_kanauses_bodega_id_foreign` FOREIGN KEY (`bodega_id`) REFERENCES `bodega_kanauses` (`id`),
  CONSTRAINT `articulos_kanauses_categoria_id_foreign` FOREIGN KEY (`categoria_id`) REFERENCES `categoria` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `articulos_kanauses`
--

/*!40000 ALTER TABLE `articulos_kanauses` DISABLE KEYS */;
INSERT INTO `articulos_kanauses` VALUES (1,'PRUEBA',';ALSKDJ','HOLA MUNDO','HOLA MUDNO 2',10.00,7.00,5.00,9,NULL,NULL,NULL,NULL,'2021-11-16 22:58:17','2021-11-16 23:00:47',1,1);
/*!40000 ALTER TABLE `articulos_kanauses` ENABLE KEYS */;

--
-- Table structure for table `bodega_kanauses`
--

DROP TABLE IF EXISTS `bodega_kanauses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bodega_kanauses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `direccion` varchar(150) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bodega_kanauses`
--

/*!40000 ALTER TABLE `bodega_kanauses` DISABLE KEYS */;
INSERT INTO `bodega_kanauses` VALUES (1,'BODEGA 2','DIRECCION 2`','HOLA MUNDO','2021-11-16 22:57:40','2021-11-16 22:57:40');
/*!40000 ALTER TABLE `bodega_kanauses` ENABLE KEYS */;

--
-- Table structure for table `cajas`
--

DROP TABLE IF EXISTS `cajas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cajas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `valor` double NOT NULL DEFAULT '0',
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `operacion` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `factura` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fecha` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tipo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cajas`
--

/*!40000 ALTER TABLE `cajas` DISABLE KEYS */;
/*!40000 ALTER TABLE `cajas` ENABLE KEYS */;

--
-- Table structure for table `categoria`
--

DROP TABLE IF EXISTS `categoria`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categoria` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `tipo` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categoria`
--

/*!40000 ALTER TABLE `categoria` DISABLE KEYS */;
INSERT INTO `categoria` VALUES (1,'UNIDAD','UNIDAD',NULL,'2021-11-16 22:57:21','2021-11-16 22:57:21');
/*!40000 ALTER TABLE `categoria` ENABLE KEYS */;

--
-- Table structure for table `check_lists`
--

DROP TABLE IF EXISTS `check_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `check_lists` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `actividads_id` bigint unsigned NOT NULL,
  `estado` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'SI',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `check_lists_actividads_id_foreign` (`actividads_id`),
  CONSTRAINT `check_lists_actividads_id_foreign` FOREIGN KEY (`actividads_id`) REFERENCES `actividads` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `check_lists`
--

/*!40000 ALTER TABLE `check_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `check_lists` ENABLE KEYS */;

--
-- Table structure for table `clientes`
--

DROP TABLE IF EXISTS `clientes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `clientes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `nit` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'C/F',
  `direccion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'Ciudad',
  `telefono1` varchar(12) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `telefono2` varchar(12) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tipo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'ESTANDAR',
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `clientes`
--

/*!40000 ALTER TABLE `clientes` DISABLE KEYS */;
/*!40000 ALTER TABLE `clientes` ENABLE KEYS */;

--
-- Table structure for table `compra_articulos`
--

DROP TABLE IF EXISTS `compra_articulos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `compra_articulos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `articulo_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned NOT NULL,
  `cantidad` double NOT NULL,
  `factura` char(35) COLLATE utf8mb4_unicode_ci NOT NULL,
  `fecha` date DEFAULT NULL,
  `fecha_vencimiento` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `compra_articulos_articulo_id_foreign` (`articulo_id`),
  KEY `compra_articulos_user_id_foreign` (`user_id`),
  CONSTRAINT `compra_articulos_articulo_id_foreign` FOREIGN KEY (`articulo_id`) REFERENCES `articulos` (`id`),
  CONSTRAINT `compra_articulos_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compra_articulos`
--

/*!40000 ALTER TABLE `compra_articulos` DISABLE KEYS */;
/*!40000 ALTER TABLE `compra_articulos` ENABLE KEYS */;

--
-- Table structure for table `compra_proveedores`
--

DROP TABLE IF EXISTS `compra_proveedores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `compra_proveedores` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `proveedor_id` bigint unsigned NOT NULL,
  `articulo_id` bigint unsigned NOT NULL,
  `cantidad` double NOT NULL,
  `factura` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `fecha_de_compra` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `compra_proveedores_proveedor_id_foreign` (`proveedor_id`),
  KEY `compra_proveedores_articulo_id_foreign` (`articulo_id`),
  CONSTRAINT `compra_proveedores_articulo_id_foreign` FOREIGN KEY (`articulo_id`) REFERENCES `proveedores` (`id`),
  CONSTRAINT `compra_proveedores_proveedor_id_foreign` FOREIGN KEY (`proveedor_id`) REFERENCES `proveedores` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compra_proveedores`
--

/*!40000 ALTER TABLE `compra_proveedores` DISABLE KEYS */;
/*!40000 ALTER TABLE `compra_proveedores` ENABLE KEYS */;

--
-- Table structure for table `consentimiento_cirugias`
--

DROP TABLE IF EXISTS `consentimiento_cirugias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `consentimiento_cirugias` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `pader` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `edad` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `civil` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `profecion` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dpi` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `consentimiento_cirugias_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `consentimiento_cirugias_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `consentimiento_cirugias`
--

/*!40000 ALTER TABLE `consentimiento_cirugias` DISABLE KEYS */;
/*!40000 ALTER TABLE `consentimiento_cirugias` ENABLE KEYS */;

--
-- Table structure for table `consentimiento_informados`
--

DROP TABLE IF EXISTS `consentimiento_informados`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `consentimiento_informados` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `fecha_lugar` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dpi` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nacionaliad` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extendido` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `diagnostico` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `consentimiento_informados_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `consentimiento_informados_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `consentimiento_informados`
--

/*!40000 ALTER TABLE `consentimiento_informados` DISABLE KEYS */;
/*!40000 ALTER TABLE `consentimiento_informados` ENABLE KEYS */;

--
-- Table structure for table `cuadres`
--

DROP TABLE IF EXISTS `cuadres`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cuadres` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `entrada` double(7,2) NOT NULL,
  `salida` double(7,2) NOT NULL,
  `cuadre` double(7,2) NOT NULL,
  `boleta` char(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `totalEfectico` double(7,2) NOT NULL,
  `faltante` double(7,2) NOT NULL,
  `totalVisas` double(7,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deuda_medicamento` double DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cuadres`
--

/*!40000 ALTER TABLE `cuadres` DISABLE KEYS */;
INSERT INTO `cuadres` VALUES (1,0.00,0.00,500.00,NULL,500.00,0.00,0.00,'2021-11-20 16:20:31','2021-11-20 16:20:31',100);
/*!40000 ALTER TABLE `cuadres` ENABLE KEYS */;

--
-- Table structure for table `descripcion_odontologicos`
--

DROP TABLE IF EXISTS `descripcion_odontologicos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `descripcion_odontologicos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `odonto_id` bigint unsigned NOT NULL,
  `pieza` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `fecha` date NOT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `descripcion_odontologicos_paciente_id_foreign` (`paciente_id`),
  KEY `descripcion_odontologicos_odonto_id_foreign` (`odonto_id`),
  CONSTRAINT `descripcion_odontologicos_odonto_id_foreign` FOREIGN KEY (`odonto_id`) REFERENCES `odontologicos` (`id`),
  CONSTRAINT `descripcion_odontologicos_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `descripcion_odontologicos`
--

/*!40000 ALTER TABLE `descripcion_odontologicos` DISABLE KEYS */;
/*!40000 ALTER TABLE `descripcion_odontologicos` ENABLE KEYS */;

--
-- Table structure for table `deuda_meciamentos`
--

DROP TABLE IF EXISTS `deuda_meciamentos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deuda_meciamentos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `total` double NOT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `deuda_meciamentos_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `deuda_meciamentos_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deuda_meciamentos`
--

/*!40000 ALTER TABLE `deuda_meciamentos` DISABLE KEYS */;
INSERT INTO `deuda_meciamentos` VALUES (1,1,100,'DEUDAN DE PRUEBA',NULL,'2021-11-20 16:18:34','2021-11-20 16:18:34');
/*!40000 ALTER TABLE `deuda_meciamentos` ENABLE KEYS */;

--
-- Table structure for table `deuda_pacientes`
--

DROP TABLE IF EXISTS `deuda_pacientes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deuda_pacientes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `descripcion` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `valor` double NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tratamiento_id` bigint unsigned NOT NULL,
  `doctor_id` bigint unsigned NOT NULL,
  `pieza` varchar(5) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `deuda_pacientes_paciente_id_foreign` (`paciente_id`),
  KEY `deuda_pacientes_doctor_id_foreign` (`doctor_id`),
  KEY `deuda_pacientes_tratamiento_id_foreign` (`tratamiento_id`),
  CONSTRAINT `deuda_pacientes_doctor_id_foreign` FOREIGN KEY (`doctor_id`) REFERENCES `doctores` (`id`),
  CONSTRAINT `deuda_pacientes_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`),
  CONSTRAINT `deuda_pacientes_tratamiento_id_foreign` FOREIGN KEY (`tratamiento_id`) REFERENCES `tratamientos` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deuda_pacientes`
--

/*!40000 ALTER TABLE `deuda_pacientes` DISABLE KEYS */;
INSERT INTO `deuda_pacientes` VALUES (1,1,NULL,150,'2021-11-20 15:53:09','2021-11-20 15:53:09',1,2,'32'),(2,1,NULL,250,'2021-11-20 15:56:30','2021-11-20 15:56:30',2,2,'32');
/*!40000 ALTER TABLE `deuda_pacientes` ENABLE KEYS */;

--
-- Table structure for table `dieta_notas`
--

DROP TABLE IF EXISTS `dieta_notas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dieta_notas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `notas_id` bigint unsigned NOT NULL,
  `dieta` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tratamiento` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fecha_hora` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dieta_notas_paciente_id_foreign` (`paciente_id`),
  KEY `dieta_notas_notas_id_foreign` (`notas_id`),
  CONSTRAINT `dieta_notas_notas_id_foreign` FOREIGN KEY (`notas_id`) REFERENCES `hoja_notas` (`id`),
  CONSTRAINT `dieta_notas_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dieta_notas`
--

/*!40000 ALTER TABLE `dieta_notas` DISABLE KEYS */;
/*!40000 ALTER TABLE `dieta_notas` ENABLE KEYS */;

--
-- Table structure for table `doctores`
--

DROP TABLE IF EXISTS `doctores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `doctores` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `porcentaje` double DEFAULT NULL,
  `tel_casa` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tel_oficina` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tel_celular` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `especialidad` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `colegiado` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cuentas` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `web` tinyint(1) NOT NULL DEFAULT '0',
  `color` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `foto` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `titulo1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `titulo2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `titulo3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `doctores`
--

/*!40000 ALTER TABLE `doctores` DISABLE KEYS */;
INSERT INTO `doctores` VALUES (1,'Pedro Otoniel','docotor1@gmail.com','$2y$10$ioBWcD20yWVkG1GLGjbcFe.K5VOzLJttXUYN0lRboj.FQxE5EHm5W',15,'776445213','776445213','776445213','GENERAL','4522','Banrural 123456',1,NULL,NULL,NULL,NULL,NULL,NULL,'2021-11-16 22:53:01','2021-11-16 22:53:01'),(2,'EDUARDO P','ariel12jona@gmail.com','ariel123',0,'4545','343','432','GENERAL','654','6534',0,'#db4d4d','1637422834portada.jpg',NULL,NULL,NULL,NULL,'2021-11-20 15:40:34','2021-11-20 15:40:34');
/*!40000 ALTER TABLE `doctores` ENABLE KEYS */;

--
-- Table structure for table `elvolucion`
--

DROP TABLE IF EXISTS `elvolucion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `elvolucion` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `fecha_inicio` date DEFAULT NULL,
  `fecha_fin` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `elvolucion_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `elvolucion_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `elvolucion`
--

/*!40000 ALTER TABLE `elvolucion` DISABLE KEYS */;
/*!40000 ALTER TABLE `elvolucion` ENABLE KEYS */;

--
-- Table structure for table `endodoncias`
--

DROP TABLE IF EXISTS `endodoncias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `endodoncias` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dpi` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `direccion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cirujano` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `edad` varchar(5) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `endodoncias_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `endodoncias_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `endodoncias`
--

/*!40000 ALTER TABLE `endodoncias` DISABLE KEYS */;
/*!40000 ALTER TABLE `endodoncias` ENABLE KEYS */;

--
-- Table structure for table `facturas`
--

DROP TABLE IF EXISTS `facturas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `facturas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `descuento` double DEFAULT NULL,
  `descripcion` text COLLATE utf8mb4_unicode_ci,
  `descripcion_min` text COLLATE utf8mb4_unicode_ci,
  `total` double DEFAULT NULL,
  `total_des` double DEFAULT NULL,
  `mayoristas` blob,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `facturas`
--

/*!40000 ALTER TABLE `facturas` DISABLE KEYS */;
INSERT INTO `facturas` VALUES (1,NULL,NULL,NULL,10,0,_binary '0','2021-11-16 23:01:51','2021-11-16 23:01:51'),(2,NULL,NULL,NULL,100,0,_binary '0','2021-11-20 16:18:03','2021-11-20 16:18:03'),(3,NULL,NULL,NULL,10,0,_binary '0','2021-11-20 16:27:29','2021-11-20 16:27:29');
/*!40000 ALTER TABLE `facturas` ENABLE KEYS */;

--
-- Table structure for table `facturas_proveedor`
--

DROP TABLE IF EXISTS `facturas_proveedor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `facturas_proveedor` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `proveedor_id` bigint unsigned NOT NULL,
  `factura` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `valor` double NOT NULL,
  `fecha_de_pago` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `facturas_proveedor_proveedor_id_foreign` (`proveedor_id`),
  CONSTRAINT `facturas_proveedor_proveedor_id_foreign` FOREIGN KEY (`proveedor_id`) REFERENCES `proveedores` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `facturas_proveedor`
--

/*!40000 ALTER TABLE `facturas_proveedor` DISABLE KEYS */;
/*!40000 ALTER TABLE `facturas_proveedor` ENABLE KEYS */;

--
-- Table structure for table `foto_paciente`
--

DROP TABLE IF EXISTS `foto_paciente`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `foto_paciente` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `foto` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `foto_paciente_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `foto_paciente_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `foto_paciente`
--

/*!40000 ALTER TABLE `foto_paciente` DISABLE KEYS */;
INSERT INTO `foto_paciente` VALUES (1,1,'211120100949recibo.jpg','2021-11-20 16:09:49','2021-11-20 16:09:49'),(2,1,'211120100958logo.jpg','2021-11-20 16:09:58','2021-11-20 16:09:58');
/*!40000 ALTER TABLE `foto_paciente` ENABLE KEYS */;

--
-- Table structure for table `foto_tratamientos`
--

DROP TABLE IF EXISTS `foto_tratamientos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `foto_tratamientos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `foto` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `foto2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `foto3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `foto4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `foto5` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `titulo` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `foto_tratamientos`
--

/*!40000 ALTER TABLE `foto_tratamientos` DISABLE KEYS */;
/*!40000 ALTER TABLE `foto_tratamientos` ENABLE KEYS */;

--
-- Table structure for table `hoja_anestecias`
--

DROP TABLE IF EXISTS `hoja_anestecias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `hoja_anestecias` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `asa` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `consentimiento` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `peso` varchar(6) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alergicos` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `importantes` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `premedicacion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `diagnostico` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `otros_examenes` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mantenimiento` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `induccion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `relajante` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `medico` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fecha` date DEFAULT NULL,
  `hora` varchar(11) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `liquidos` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `trans` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cc1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cc2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cc3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `operacion_efc` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `torniquete` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tiempo_op` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `anestecia` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cirujano` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ayudante` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `anestesiologo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `drogas_trans` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `monitoreo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `hoja_anestecias_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `hoja_anestecias_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hoja_anestecias`
--

/*!40000 ALTER TABLE `hoja_anestecias` DISABLE KEYS */;
/*!40000 ALTER TABLE `hoja_anestecias` ENABLE KEYS */;

--
-- Table structure for table `hoja_evolucions`
--

DROP TABLE IF EXISTS `hoja_evolucions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `hoja_evolucions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `hoja_evolucions_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `hoja_evolucions_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hoja_evolucions`
--

/*!40000 ALTER TABLE `hoja_evolucions` DISABLE KEYS */;
/*!40000 ALTER TABLE `hoja_evolucions` ENABLE KEYS */;

--
-- Table structure for table `hoja_ingresos`
--

DROP TABLE IF EXISTS `hoja_ingresos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `hoja_ingresos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `fecha` date DEFAULT NULL,
  `municipio` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `medico` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `estatura` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `peso` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `embarazo` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lloro` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alimentacion` varchar(70) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vacunacion` varchar(70) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `medic_actual` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `medic_actual_por` varchar(70) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hospitalizado` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hospitalizado_por` varchar(70) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `enfermedades` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cirugia` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fracturas` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alergias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sangrado` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parentesco` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `responsable` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `documento` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nombre` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `hoja_ingresos_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `hoja_ingresos_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hoja_ingresos`
--

/*!40000 ALTER TABLE `hoja_ingresos` DISABLE KEYS */;
/*!40000 ALTER TABLE `hoja_ingresos` ENABLE KEYS */;

--
-- Table structure for table `hoja_notas`
--

DROP TABLE IF EXISTS `hoja_notas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `hoja_notas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `hoja_notas_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `hoja_notas_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hoja_notas`
--

/*!40000 ALTER TABLE `hoja_notas` DISABLE KEYS */;
/*!40000 ALTER TABLE `hoja_notas` ENABLE KEYS */;

--
-- Table structure for table `implante_dentals`
--

DROP TABLE IF EXISTS `implante_dentals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `implante_dentals` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dpi` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `direccion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cirujano` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `edad` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `implante_dentals_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `implante_dentals_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `implante_dentals`
--

/*!40000 ALTER TABLE `implante_dentals` DISABLE KEYS */;
/*!40000 ALTER TABLE `implante_dentals` ENABLE KEYS */;

--
-- Table structure for table `insumos`
--

DROP TABLE IF EXISTS `insumos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `insumos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `precio` double(7,2) DEFAULT NULL,
  `cantidad` double DEFAULT NULL,
  `minimo` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `fecha_vencimiento` date DEFAULT NULL,
  `factura` varchar(25) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `insumos`
--

/*!40000 ALTER TABLE `insumos` DISABLE KEYS */;
/*!40000 ALTER TABLE `insumos` ENABLE KEYS */;

--
-- Table structure for table `laboratorios`
--

DROP TABLE IF EXISTS `laboratorios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `laboratorios` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `direccion` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `telefono` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `laboratorios`
--

/*!40000 ALTER TABLE `laboratorios` DISABLE KEYS */;
INSERT INTO `laboratorios` VALUES (1,'DENTECO','HUEHUE','5435','2021-11-20 16:12:28','2021-11-20 16:12:28',NULL);
/*!40000 ALTER TABLE `laboratorios` ENABLE KEYS */;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2014_10_12_000000_create_users_table',1),(2,'2014_10_12_100000_create_password_resets_table',1),(3,'2020_12_17_055226_create_roles_table',1),(4,'2020_12_17_055308_create_permissions_table',1),(5,'2020_12_17_060416_create_role_permissions_pivot_table',1),(6,'2020_12_17_061340_add_relationship_fields_to_users_table',1),(7,'2021_08_10_032944_create_pacientes_table',1),(8,'2021_08_10_042050_create_doctores_table',1),(9,'2021_08_10_043518_create_cajas_table',1),(10,'2021_08_10_043648_create_proveedores_table',1),(11,'2021_08_10_043822_create_cuadres_table',1),(12,'2021_08_10_043936_create_facturas_table',1),(13,'2021_08_10_044022_create_articulos_table',1),(14,'2021_08_10_044242_create_venta_articulos_table',1),(15,'2021_08_10_044421_create_compra_articulos_table',1),(16,'2021_08_10_044544_add_proveedor_to_articulos_table',1),(17,'2021_08_10_172018_add_delete_to_users',1),(18,'2021_08_12_174037_create_factura_proveedor_table',1),(19,'2021_08_12_180911_create_compras_proveedor_table',1),(20,'2021_08_12_184656_create_categoria_table',1),(21,'2021_08_12_185319_add_categoria_to_articulos',1),(22,'2021_08_13_235025_add_color_to_doctores',1),(23,'2021_08_14_011621_create_agendas_table',1),(24,'2021_08_21_111035_create_clientes_table',1),(25,'2021_08_23_132617_create_tratamientos_table',1),(26,'2021_08_23_194056_create_pago_tratamientos_table',1),(27,'2021_09_02_102543_add_user_id_to_compra_articulos',1),(28,'2021_09_02_103405_add_tipo_to_pacientes',1),(29,'2021_09_03_201123_create_procedimientos_table',1),(30,'2021_09_06_142955_create_pago_docotores_table',1),(31,'2021_09_06_170047_create_deuda_pacientes_table',1),(32,'2021_09_08_125642_add_columns_to_deuda_pacientes_table',1),(33,'2021_09_08_212211_create_abonos_table',1),(34,'2021_09_09_153730_create_mobiliario_equipos_table',1),(35,'2021_09_10_141349_create_insumos_table',1),(36,'2021_09_10_170009_create_salida_insumos_table',1),(37,'2021_09_13_135134_add_fechamantenimiento_to_mobiliario_equipos',1),(38,'2021_09_13_141947_create_pago_facturas_table',1),(39,'2021_09_13_225046_add_data_to_pacientes',1),(40,'2021_09_14_115619_create_consentimiento_informados_table',1),(41,'2021_09_14_163530_create_elvolucion_table',1),(42,'2021_09_15_150022_create_anestesias_table',1),(43,'2021_09_15_200425_create_odontologicos_table',1),(44,'2021_09_17_131813_create_procedimiento_evolucions_table',1),(45,'2021_09_17_153501_create_descripcion_odontologicos_table',1),(46,'2021_09_17_160509_create_hoja_notas_table',1),(47,'2021_09_17_160523_create_dieta_notas_table',1),(48,'2021_09_17_172310_create_hoja_evolucions_table',1),(49,'2021_09_17_172322_create_nota_hoja_evolucions_table',1),(50,'2021_09_18_215117_create_hoja_ingresos_table',1),(51,'2021_09_19_142014_create_hoja_anestecias_table',1),(52,'2021_09_20_133113_add_tipo_to_cajas',1),(53,'2021_09_21_094602_add_deudas_abono_to_pacientes',1),(54,'2021_09_22_175652_add_colums_to_users',1),(55,'2021_09_22_185741_create_foto_tratamientos_table',1),(56,'2021_09_24_120310_add_fecha_vencimiento_to_insumos',1),(57,'2021_09_25_193018_create_actividads_table',1),(58,'2021_09_25_215752_create_check_lists_table',1),(59,'2021_09_26_232650_add_description_to_permissions',1),(60,'2021_10_02_120150_create_foto_paciente_table',1),(61,'2021_10_02_143809_create_laboratorios_table',1),(62,'2021_10_03_160419_add_sof_detela_to_laboratorios',1),(63,'2021_10_03_161244_create_paciente_l_aboratorios_table',1),(64,'2021_10_05_174848_create_servicios_laboratorios_table',1),(65,'2021_10_05_235007_add_paciente_to_venta_articulos',1),(66,'2021_10_06_092442_create_deuda_meciamentos_table',1),(67,'2021_10_06_120955_add_deuda_medicamento_to_cuadres',1),(68,'2021_10_15_140635_create_protesis_fijas_table',1),(69,'2021_10_15_195408_create_endodoncias_table',1),(70,'2021_10_15_214425_create_implante_dentals_table',1),(71,'2021_10_16_231749_create_recetas_table',1),(72,'2021_10_18_202801_create_receta_pacientes_table',1),(73,'2021_11_09_154028_add_edad_to_protesis_fijas',1),(74,'2021_11_09_174303_add_edad_to_endodoncias',1),(75,'2021_11_09_181444_add_edad_to_implante_dentals',1),(76,'2021_11_12_172056_create_consentimiento_cirugias_table',1),(77,'2021_11_12_190437_add_dpi_to_pacientes',1),(78,'2021_11_15_215259_create_bodega_kanauses_table',1),(79,'2021_11_15_215958_create_articulos_kanauses_table',1),(80,'2021_11_15_220354_create_venta_kanauses_table',1),(81,'2021_11_16_133743_add_bodega_to_articulos_kanauses',1),(82,'2021_11_20_192659_add_habitos_to_pacientes',2);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;

--
-- Table structure for table `mobiliario_equipos`
--

DROP TABLE IF EXISTS `mobiliario_equipos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mobiliario_equipos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `mobiliario` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cantidad` double NOT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `precio` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `fecha_mantenimiento` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mobiliario_equipos`
--

/*!40000 ALTER TABLE `mobiliario_equipos` DISABLE KEYS */;
/*!40000 ALTER TABLE `mobiliario_equipos` ENABLE KEYS */;

--
-- Table structure for table `nota_hoja_evolucions`
--

DROP TABLE IF EXISTS `nota_hoja_evolucions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `nota_hoja_evolucions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `notas_id` bigint unsigned NOT NULL,
  `notas` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fecha_hora` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `nota_hoja_evolucions_paciente_id_foreign` (`paciente_id`),
  KEY `nota_hoja_evolucions_notas_id_foreign` (`notas_id`),
  CONSTRAINT `nota_hoja_evolucions_notas_id_foreign` FOREIGN KEY (`notas_id`) REFERENCES `hoja_evolucions` (`id`),
  CONSTRAINT `nota_hoja_evolucions_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nota_hoja_evolucions`
--

/*!40000 ALTER TABLE `nota_hoja_evolucions` DISABLE KEYS */;
/*!40000 ALTER TABLE `nota_hoja_evolucions` ENABLE KEYS */;

--
-- Table structure for table `odontologicos`
--

DROP TABLE IF EXISTS `odontologicos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `odontologicos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `fecha_ingreso` date NOT NULL,
  `unidad` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `odontologicos_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `odontologicos_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `odontologicos`
--

/*!40000 ALTER TABLE `odontologicos` DISABLE KEYS */;
/*!40000 ALTER TABLE `odontologicos` ENABLE KEYS */;

--
-- Table structure for table `paciente_l_aboratorios`
--

DROP TABLE IF EXISTS `paciente_l_aboratorios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `paciente_l_aboratorios` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `laboratorio_id` bigint unsigned NOT NULL,
  `total` double NOT NULL,
  `descripcion` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `paciente_l_aboratorios_paciente_id_foreign` (`paciente_id`),
  KEY `paciente_l_aboratorios_laboratorio_id_foreign` (`laboratorio_id`),
  CONSTRAINT `paciente_l_aboratorios_laboratorio_id_foreign` FOREIGN KEY (`laboratorio_id`) REFERENCES `laboratorios` (`id`),
  CONSTRAINT `paciente_l_aboratorios_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paciente_l_aboratorios`
--

/*!40000 ALTER TABLE `paciente_l_aboratorios` DISABLE KEYS */;
INSERT INTO `paciente_l_aboratorios` VALUES (1,1,1,100,'CORONA','2021-11-20 16:13:10','2021-11-20 16:13:10'),(2,1,1,200,'SALUDAR','2021-11-20 16:14:33','2021-11-20 16:14:33');
/*!40000 ALTER TABLE `paciente_l_aboratorios` ENABLE KEYS */;

--
-- Table structure for table `pacientes`
--

DROP TABLE IF EXISTS `pacientes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pacientes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sexo` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `civil` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ocupacion` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `t_casa` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `t_oficina` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `t_celular` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `direccion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `motivo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tipo` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL,
  `fecha_nacimiento` date NOT NULL,
  `estado` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ACTIVO',
  `en_nombre` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `en_relacion` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `en_tel_casa` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `en_tel_celular` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `presion` tinyint(1) NOT NULL DEFAULT '0',
  `obs_presion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `diabetes` tinyint(1) NOT NULL DEFAULT '0',
  `obs_diabetes` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `anemia` tinyint(1) NOT NULL DEFAULT '0',
  `obs_anemia` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `corteligero` tinyint(1) NOT NULL DEFAULT '0',
  `obs_corteligero` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `inf_repiratoria` tinyint(1) NOT NULL DEFAULT '0',
  `obs_inf_repiratoria` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `renales` tinyint(1) NOT NULL DEFAULT '0',
  `obs_renales` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tuberculosis` tinyint(1) NOT NULL DEFAULT '0',
  `obs_tuberculosis` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hepaticos` tinyint(1) NOT NULL DEFAULT '0',
  `obs_hepaticos` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gastricos` tinyint(1) NOT NULL DEFAULT '0',
  `obs_gastricos` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `artritis` tinyint(1) NOT NULL DEFAULT '0',
  `obs_artritis` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vih` tinyint(1) NOT NULL DEFAULT '0',
  `obs_vih` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `epilepcia` tinyint(1) NOT NULL DEFAULT '0',
  `obs_epilepcia` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `neurologicos` tinyint(1) NOT NULL DEFAULT '0',
  `obs_neurologicos` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `virales` tinyint(1) NOT NULL DEFAULT '0',
  `obs_virales` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `venereas` tinyint(1) NOT NULL DEFAULT '0',
  `obs_venereas` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hepatitis` tinyint(1) NOT NULL DEFAULT '0',
  `obs_hepatitis` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tumores` tinyint(1) NOT NULL DEFAULT '0',
  `obs_tumores` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cancer` tinyint(1) NOT NULL DEFAULT '0',
  `obs_cancer` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `emocionales` tinyint(1) NOT NULL DEFAULT '0',
  `obs_emocionales` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `accidentes` tinyint(1) NOT NULL DEFAULT '0',
  `obs_accidentes` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nerviosos` tinyint(1) NOT NULL DEFAULT '0',
  `obs_nerviosos` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hemofilia` tinyint(1) NOT NULL DEFAULT '0',
  `obs_hemofilia` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `circulatorios` tinyint(1) NOT NULL DEFAULT '0',
  `obs_circulatorios` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cardiacos` tinyint(1) NOT NULL DEFAULT '0',
  `obs_cardiacos` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `embarazo` tinyint(1) NOT NULL DEFAULT '0',
  `obs_embarazo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `otra_enfermedad` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `toma_actual` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `med_nombre` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `med_telefono` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cirugias_pre` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `antibioticos` tinyint(1) NOT NULL DEFAULT '0',
  `anes_locales` tinyint(1) NOT NULL DEFAULT '0',
  `picadura` tinyint(1) NOT NULL DEFAULT '0',
  `otros_alegias` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `onicogafia` tinyint(1) NOT NULL DEFAULT '0',
  `bruxismo` tinyint(1) NOT NULL DEFAULT '0',
  `fumar` tinyint(1) NOT NULL DEFAULT '0',
  `alcoholismo` tinyint(1) NOT NULL DEFAULT '0',
  `otros_habitos` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `his_excelente` tinyint(1) NOT NULL DEFAULT '0',
  `his_buena` tinyint(1) NOT NULL DEFAULT '0',
  `his_regular` tinyint(1) NOT NULL DEFAULT '0',
  `his_mala` tinyint(1) NOT NULL DEFAULT '0',
  `dentis_anterior` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ultima_visita` date DEFAULT NULL,
  `porque` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `frio` tinyint(1) NOT NULL DEFAULT '0',
  `calor` tinyint(1) NOT NULL DEFAULT '0',
  `masticacion` tinyint(1) NOT NULL DEFAULT '0',
  `dulce` tinyint(1) NOT NULL DEFAULT '0',
  `sensi_otro` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `firma` text COLLATE utf8mb4_unicode_ci,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `depemedica` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nafiliacion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deuda` double DEFAULT '0',
  `abono` double DEFAULT '0',
  `dpi` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `infarto` tinyint(1) NOT NULL DEFAULT '0',
  `habitos_extras` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pacientes`
--

/*!40000 ALTER TABLE `pacientes` DISABLE KEYS */;
INSERT INTO `pacientes` VALUES (1,'ARIEL RAMIREZ L','Masculino','Soltero(a)','DESARROLLADOR','767676',NULL,'32832683','ari@decodev.net','huehuetenango',NULL,'PRIVADO','1999-07-16','ACTIVO','1','1',NULL,'11',1,NULL,1,NULL,1,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,1,NULL,0,NULL,NULL,NULL,'1',NULL,'1',0,0,0,NULL,0,0,0,0,NULL,0,0,0,0,NULL,'2021-11-20',NULL,0,0,0,0,NULL,NULL,NULL,'2021-11-20 15:37:10','2021-11-20 16:18:34',NULL,NULL,500,500,'54353454345',0,NULL),(2,'EMNAUEL','Masculino','Soltero(a)','MAESTRO','498237497',NULL,'32387878','email@email.com','huehuetenango',NULL,'PRIVADO','2001-03-08','ACTIVO','ariel','hermano',NULL,'ariel /3239378',0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,NULL,0,0,0,0,NULL,0,0,0,0,NULL,NULL,NULL,0,0,0,0,NULL,NULL,NULL,'2021-11-21 01:38:02','2021-11-21 01:38:02',NULL,NULL,0,0,'48723948723',0,'holas');
/*!40000 ALTER TABLE `pacientes` ENABLE KEYS */;

--
-- Table structure for table `pago_docotores`
--

DROP TABLE IF EXISTS `pago_docotores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pago_docotores` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `doctor_id` bigint unsigned NOT NULL,
  `paciente_id` bigint unsigned NOT NULL,
  `tratamiento_id` bigint unsigned NOT NULL,
  `pieza` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pago_docotores_doctor_id_foreign` (`doctor_id`),
  KEY `pago_docotores_paciente_id_foreign` (`paciente_id`),
  KEY `pago_docotores_tratamiento_id_foreign` (`tratamiento_id`),
  CONSTRAINT `pago_docotores_doctor_id_foreign` FOREIGN KEY (`doctor_id`) REFERENCES `doctores` (`id`),
  CONSTRAINT `pago_docotores_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`),
  CONSTRAINT `pago_docotores_tratamiento_id_foreign` FOREIGN KEY (`tratamiento_id`) REFERENCES `tratamientos` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pago_docotores`
--

/*!40000 ALTER TABLE `pago_docotores` DISABLE KEYS */;
INSERT INTO `pago_docotores` VALUES (1,2,1,1,'32','2021-11-20 15:53:09','2021-11-20 15:53:09'),(2,2,1,2,'32','2021-11-20 15:56:30','2021-11-20 15:56:30');
/*!40000 ALTER TABLE `pago_docotores` ENABLE KEYS */;

--
-- Table structure for table `pago_facturas`
--

DROP TABLE IF EXISTS `pago_facturas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pago_facturas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `factura` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `valor` double NOT NULL,
  `fecha_pago` date DEFAULT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pago_facturas`
--

/*!40000 ALTER TABLE `pago_facturas` DISABLE KEYS */;
/*!40000 ALTER TABLE `pago_facturas` ENABLE KEYS */;

--
-- Table structure for table `pago_tratamientos`
--

DROP TABLE IF EXISTS `pago_tratamientos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pago_tratamientos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `doctor_id` bigint unsigned NOT NULL,
  `tratamiento_id` bigint unsigned NOT NULL,
  `porcentaje` double NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pago_tratamientos_doctor_id_foreign` (`doctor_id`),
  KEY `pago_tratamientos_tratamiento_id_foreign` (`tratamiento_id`),
  CONSTRAINT `pago_tratamientos_doctor_id_foreign` FOREIGN KEY (`doctor_id`) REFERENCES `doctores` (`id`),
  CONSTRAINT `pago_tratamientos_tratamiento_id_foreign` FOREIGN KEY (`tratamiento_id`) REFERENCES `tratamientos` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pago_tratamientos`
--

/*!40000 ALTER TABLE `pago_tratamientos` DISABLE KEYS */;
INSERT INTO `pago_tratamientos` VALUES (1,2,1,50,'2021-11-20 15:42:00','2021-11-20 15:55:53'),(2,2,2,45,'2021-11-20 15:42:01','2021-11-20 15:42:01');
/*!40000 ALTER TABLE `pago_tratamientos` ENABLE KEYS */;

--
-- Table structure for table `password_resets`
--

DROP TABLE IF EXISTS `password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_resets` (
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_resets`
--

/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;

--
-- Table structure for table `permissions`
--

DROP TABLE IF EXISTS `permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permissions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=98 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `permissions`
--

/*!40000 ALTER TABLE `permissions` DISABLE KEYS */;
INSERT INTO `permissions` VALUES (1,'admin_panel_access','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE ACCESO AL SISTEMA'),(2,'users_access','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(3,'user_edit','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE EDITAR UN USUARIO'),(4,'user_delete','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE ELIMINAR UN USUARIO'),(5,'user_create','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE REGISTRAR UN USUARIO'),(6,'user_show','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(7,'roles_access','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(8,'role_edit','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(9,'role_delete','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(10,'role_create','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(11,'role_show','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(12,'permissions_access','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(13,'permission_edit','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(14,'permission_delete','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(15,'permission_create','2021-11-16 22:52:57','2021-11-16 22:52:57',NULL),(16,'abono_store','2021-11-16 22:52:57','2021-11-16 22:52:57','PERRMITE GUARDAR UN ABOMO PARA PACIENTES'),(17,'abono_recibo','2021-11-16 22:52:57','2021-11-16 22:52:57','PERRMITE IMPRIMIR EL RECIBO DE UN ABONO'),(18,'abono_delete','2021-11-16 22:52:57','2021-11-16 22:52:57','PERRMITE ELIMINAR EL ABONO DE UN PACIENTE'),(19,'agenda_all','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE TENER EL CONTROL TOTAL DE AGENDA'),(20,'caja_registro_cajachica','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE REGISTRAR DATOS EN CAJA CHICA'),(21,'caja_registro_gastos','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE REGISTRAR GASTOS'),(22,'caja_cuadre','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE REALIZAR UN CUADRE'),(23,'caja_cuadre_delete','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE ELIMINAR REPORTE DE CUADRES DE CAJA'),(24,'caja_delete_cajachica','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE ELIMINAR UN DATO DE CAJA CHICA'),(25,'caja_delete_gasto','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE ELIMINAR UN DATO DE GASTOS'),(26,'caja_filtrado_cajachica','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE VER MOVIMIENTOS DE CAJA CHICA FILTRADOS'),(27,'caja_filtrado_gastos','2021-11-16 22:52:57','2021-11-16 22:52:57','PERMITE VER MOVIMIENTOS DE GASTOS FILTRADOS'),(28,'caja_movimientos_filtrados','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VER LOS MOVIMIENTOS DEL MES / FILTRADOS'),(29,'caja_movimientos_dia','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VER LOS MOVIMIENTOS DEL DIA'),(30,'categoria_list','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE LISTAR TODAS LAS CATEGORIAS'),(31,'categoria_show','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VER EL PERFIL DE CATEGORIAS / ACTUALIZAR'),(32,'categoria_delete','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR UNA CATEGORIA'),(33,'categoria_create','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE CREAR UNA NUEVA CATEGORIA'),(34,'categoria_report','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE GENERAR EL REPORTE DE CATEGORIAS'),(35,'doctor_pagosprint','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE IMPRIMIR EL PAGO DE LOS DOCTORES'),(36,'doctor_reportes','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VER REPORTES DISPONIBLES PARA DOCTORES'),(37,'doctor_store','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE REGISTRAR UN NUEVO DOCTOR'),(38,'doctor_show','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VISUALIZAR EL PERFIL DE CADA DOCTOR'),(39,'doctor_update','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ACTUALIZAR LOS DATOS DE UN DOCTOR'),(40,'doctor_delete','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR A UN DOCTOR'),(41,'fotos_all','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE CONTROL TOTAL DE MODULO DE FOTOS'),(42,'insumo_allreport','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VISUALIZAR REPORTE DE TODOS LOS INSUMOS REGISTRADOS'),(43,'insumo_salidasreport','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VISUALIZAR REPORTE DE SALIDAS DE INSUMOS'),(44,'insumo_salidas','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE LISTAR LAS SALIDAS DE INSUMOS'),(45,'insumo_salidaStore','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE REGISTRAR LA SALIDA DE UN INSUMO'),(46,'insumo_salidaDelete','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR LA SALIDA DE UN INSUMO'),(47,'insumo_list','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE LISTAR TODOS LOS INSUMOS REGISTRADOS'),(48,'insumo_store','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE REGISTRAR UN NUEVO INSUMO'),(49,'insumo_update','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ACTUALIZAR UN INSUMO'),(50,'insumo_delte','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR UN INSUMO'),(51,'medicamento_listado','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE LISTAR TODOS LOS MEDICAMENTOS'),(52,'medicamento_show','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VER Y ACTUALIZR EL PERFIL DE LOS MEDICAMENTOS'),(53,'medicamento_store','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE REGISTAR UN NUEVO MEDICAMENTO'),(54,'medicamento_delete','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR UN MEDICAMENTO'),(55,'medicamento_min_stock','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VISUALIZAR LOS MEDICAMENTOS CON MINIMO DE STOCK'),(56,'medicamento_compra_store','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE GUARDAR UNA COMPRA DE UN MEDICAMENTO YA EXISTENTE'),(57,'medicamento_historial','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VER EL HISTORIAL DE COMPRAS DE LOS MEDICAMENTOS'),(58,'medicamento_hitorial_delete','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR UN MEDICAMENTO DEL HISTORIAL DE COMPRAS'),(59,'medicamento_report_all','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VER TODOS LOS REPORTES DE LOS MEDICAMENTOS'),(60,'mobiliario_store','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE REGISTRAR UN NUEVO MOBILIARIO Y EQUIPO'),(61,'mobiliario_listado','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE LISTAR TODO DE MOBILIARIO Y EQUIPO'),(62,'mobiliario_delete','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR UN MOBILIARIO Y EQUIPO'),(63,'mobiliario_update','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ACTUALIZAR  MOBILIARIO Y EQUIPO'),(64,'mobiliario_report','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE GENERAR UN REPORTE DE MOBILIARIO Y EQUIPO'),(65,'paciente_store','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE REGISTRAR UN NUEVO PACIENTE'),(66,'paciente_listado','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE LISTAR TODOS LOS PACIENTES'),(67,'paciente_delete','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR UN PACIENTE'),(68,'paciente_report','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE GENERAR REPORTES PARA PACIENTE'),(69,'paciente_deudores','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VISUALIZAR TODOS LOS PACIENTES DEUDRES'),(70,'paciente_perfil','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VISUALIZAR TODOS LOS DATOS DE UN PACIENTE'),(71,'proveedor_list','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE LISTAR A TODOS LOS PROVEEDORES'),(72,'proveedor_all','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE VISUALIZAR EL PERFIL DE CADA PROVEEDOR PARA ACTUALIZAR DATOS Y ASIGNAR FACTURAS DE PAGO'),(73,'pagosfactura_store','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE REGISTRAR UN NUEVO PAGO DE FACTURA'),(74,'pagosfactura_listado','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE LISTAR TODO LOS PAGOS DE FACTURA'),(75,'pagosfactura_delete','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE ELIMINAR UN PAGO DE FACTURA'),(76,'pagosfactura_report','2021-11-16 22:52:58','2021-11-16 22:52:58','PERMITE GENERAR UN REPORTE DE PAGO DE FACTURAS'),(77,'pagodoctor_store','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE REGISTRAR UN NUEVO PAGO DE DOCTOR'),(78,'pagodoctor_listado','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE LISTAR TODOS LOS PAGO DE DOCTOR'),(79,'pagodoctor_delete','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE ELIMINAR UN PAGO DE DOCTOR'),(80,'pagodoctor_update','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE ACTUALIZAR PAGO DE DOCTOR'),(81,'pagodoctor_report','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE GENERAR UN REPORTE COMO PAGAR LOS TRATAMIENTOS A LOS DOCTORES CON GANANCIA DE LA CLINICA'),(82,'tratamiento_store','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE REGISTRAR UN NUEVO TRATAMIENTO'),(83,'tratamiento_listado','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE LISTAR TODOS LOS TRATAMIENTOS'),(84,'tratamiento_delete','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE ELIMINAR UN TRATAMIENTO'),(85,'tratamiento_update','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE ACTUALIZAR UN TRATAMIENTO'),(86,'tratamiento_report','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE GENERAR REPORTE DE TRATAMIENTOS'),(87,'usuario_storeActividad','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE REGISTRAR UNA NUEVA ACTIVIDAD DE USUARIO'),(88,'usuario_actividades','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE LISTAR TODAS LAS ACTIVIDADES DE LOS USARIOS'),(89,'usuario_actividaddelete','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE ELIMINAR UNA ACTIVIDAD'),(90,'usuario_checklist','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE VER EL CHECK LIST DE LOS USUARIOS'),(91,'usuario_cabiarCheck','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE GENERAR CAMBIAR EL ESTADO DEL CHECK LIST'),(92,'users_userReport','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE GENERAR REPORTE DE CHECK LIST DE UN USUARIO'),(93,'venta_inicio','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE REALIZAR VENTAS E IMPRIMIR RECIBOS'),(94,'venta_historial','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE VER EL HITORIAL DE VENTAS'),(95,'venta_recibo','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE LA REIMPRESION DE RECIBOS DE VETAS'),(96,'venta_anulacion','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE LA ANULACION DE UNA VENTA'),(97,'venta_reports','2021-11-16 22:52:59','2021-11-16 22:52:59','PERMITE GENERAR TODOS LOS REPORTES DE VENTAS');
/*!40000 ALTER TABLE `permissions` ENABLE KEYS */;

--
-- Table structure for table `procedimiento_evolucions`
--

DROP TABLE IF EXISTS `procedimiento_evolucions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `procedimiento_evolucions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `tratamiento_id` bigint unsigned NOT NULL,
  `evolucion_id` bigint unsigned NOT NULL,
  `pieza` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `procedimiento_evolucions_paciente_id_foreign` (`paciente_id`),
  KEY `procedimiento_evolucions_tratamiento_id_foreign` (`tratamiento_id`),
  KEY `procedimiento_evolucions_evolucion_id_foreign` (`evolucion_id`),
  CONSTRAINT `procedimiento_evolucions_evolucion_id_foreign` FOREIGN KEY (`evolucion_id`) REFERENCES `elvolucion` (`id`),
  CONSTRAINT `procedimiento_evolucions_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`),
  CONSTRAINT `procedimiento_evolucions_tratamiento_id_foreign` FOREIGN KEY (`tratamiento_id`) REFERENCES `tratamientos` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `procedimiento_evolucions`
--

/*!40000 ALTER TABLE `procedimiento_evolucions` DISABLE KEYS */;
/*!40000 ALTER TABLE `procedimiento_evolucions` ENABLE KEYS */;

--
-- Table structure for table `procedimientos`
--

DROP TABLE IF EXISTS `procedimientos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `procedimientos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `tratamiento_id` bigint unsigned NOT NULL,
  `doctor_id` bigint unsigned DEFAULT NULL,
  `pieza` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL,
  `valor` double NOT NULL,
  `estado_pago` tinyint(1) NOT NULL DEFAULT '0',
  `fecha` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `procedimientos_paciente_id_foreign` (`paciente_id`),
  KEY `procedimientos_tratamiento_id_foreign` (`tratamiento_id`),
  KEY `procedimientos_doctor_id_foreign` (`doctor_id`),
  CONSTRAINT `procedimientos_doctor_id_foreign` FOREIGN KEY (`doctor_id`) REFERENCES `doctores` (`id`),
  CONSTRAINT `procedimientos_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`),
  CONSTRAINT `procedimientos_tratamiento_id_foreign` FOREIGN KEY (`tratamiento_id`) REFERENCES `tratamientos` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `procedimientos`
--

/*!40000 ALTER TABLE `procedimientos` DISABLE KEYS */;
INSERT INTO `procedimientos` VALUES (1,1,1,2,'32',150,1,'2021-11-20','2021-11-20 15:43:56','2021-11-20 15:53:09'),(3,1,2,2,'32',250,1,'2021-11-20','2021-11-20 15:51:24','2021-11-20 15:56:30');
/*!40000 ALTER TABLE `procedimientos` ENABLE KEYS */;

--
-- Table structure for table `protesis_fijas`
--

DROP TABLE IF EXISTS `protesis_fijas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `protesis_fijas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dpi` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `direccion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cirujano` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `edad` varchar(5) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `protesis_fijas_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `protesis_fijas_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `protesis_fijas`
--

/*!40000 ALTER TABLE `protesis_fijas` DISABLE KEYS */;
/*!40000 ALTER TABLE `protesis_fijas` ENABLE KEYS */;

--
-- Table structure for table `proveedores`
--

DROP TABLE IF EXISTS `proveedores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `proveedores` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `telefono1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `telefono2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `articulos` text COLLATE utf8mb4_unicode_ci,
  `dias` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `proveedores`
--

/*!40000 ALTER TABLE `proveedores` DISABLE KEYS */;
INSERT INTO `proveedores` VALUES (1,'PROVEEDOR','37','987','HOLA MUNDO','LUNEX',NULL,'2021-11-20 16:16:31','2021-11-20 16:16:31');
/*!40000 ALTER TABLE `proveedores` ENABLE KEYS */;

--
-- Table structure for table `receta_pacientes`
--

DROP TABLE IF EXISTS `receta_pacientes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `receta_pacientes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `paciente_id` bigint unsigned NOT NULL,
  `receta_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `receta_pacientes_paciente_id_foreign` (`paciente_id`),
  KEY `receta_pacientes_receta_id_foreign` (`receta_id`),
  CONSTRAINT `receta_pacientes_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`),
  CONSTRAINT `receta_pacientes_receta_id_foreign` FOREIGN KEY (`receta_id`) REFERENCES `recetas` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `receta_pacientes`
--

/*!40000 ALTER TABLE `receta_pacientes` DISABLE KEYS */;
/*!40000 ALTER TABLE `receta_pacientes` ENABLE KEYS */;

--
-- Table structure for table `recetas`
--

DROP TABLE IF EXISTS `recetas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recetas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recetas`
--

/*!40000 ALTER TABLE `recetas` DISABLE KEYS */;
/*!40000 ALTER TABLE `recetas` ENABLE KEYS */;

--
-- Table structure for table `role_permissions`
--

DROP TABLE IF EXISTS `role_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_permissions` (
  `role_id` bigint unsigned NOT NULL,
  `permission_id` bigint unsigned NOT NULL,
  KEY `role_permissions_role_id_foreign` (`role_id`),
  KEY `role_permissions_permission_id_foreign` (`permission_id`),
  CONSTRAINT `role_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `role_permissions_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_permissions`
--

/*!40000 ALTER TABLE `role_permissions` DISABLE KEYS */;
INSERT INTO `role_permissions` VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(1,8),(1,9),(1,10),(1,11),(1,12),(1,13),(1,14),(1,15),(1,16),(1,17),(1,18),(1,19),(1,20),(1,21),(1,22),(1,23),(1,24),(1,25),(1,26),(1,27),(1,28),(1,29),(1,30),(1,31),(1,32),(1,33),(1,34),(1,35),(1,36),(1,37),(1,38),(1,39),(1,40),(1,41),(1,42),(1,43),(1,44),(1,45),(1,46),(1,47),(1,48),(1,49),(1,50),(1,51),(1,52),(1,53),(1,54),(1,55),(1,56),(1,57),(1,58),(1,59),(1,60),(1,61),(1,62),(1,63),(1,64),(1,65),(1,66),(1,67),(1,68),(1,69),(1,70),(1,71),(1,72),(1,73),(1,74),(1,75),(1,76),(1,77),(1,78),(1,79),(1,80),(1,81),(1,82),(1,83),(1,84),(1,85),(1,86),(1,87),(1,88),(1,89),(1,90),(1,91),(1,92),(1,93),(1,94),(1,95),(1,96),(1,97),(2,1),(2,2);
/*!40000 ALTER TABLE `role_permissions` ENABLE KEYS */;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `short_code` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'Administrator','Admin','2021-11-16 22:52:57','2021-11-16 22:52:57'),(2,'User',NULL,'2021-11-16 22:52:57','2021-11-16 22:52:57');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;

--
-- Table structure for table `salida_insumos`
--

DROP TABLE IF EXISTS `salida_insumos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `salida_insumos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `insumo_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned NOT NULL,
  `cantidad` double NOT NULL,
  `clinica` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `salida_insumos_insumo_id_foreign` (`insumo_id`),
  KEY `salida_insumos_user_id_foreign` (`user_id`),
  CONSTRAINT `salida_insumos_insumo_id_foreign` FOREIGN KEY (`insumo_id`) REFERENCES `insumos` (`id`),
  CONSTRAINT `salida_insumos_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `salida_insumos`
--

/*!40000 ALTER TABLE `salida_insumos` DISABLE KEYS */;
/*!40000 ALTER TABLE `salida_insumos` ENABLE KEYS */;

--
-- Table structure for table `servicios_laboratorios`
--

DROP TABLE IF EXISTS `servicios_laboratorios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `servicios_laboratorios` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `laboratorio_id` bigint unsigned NOT NULL,
  `nombre` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `precio` double NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `servicios_laboratorios_laboratorio_id_foreign` (`laboratorio_id`),
  CONSTRAINT `servicios_laboratorios_laboratorio_id_foreign` FOREIGN KEY (`laboratorio_id`) REFERENCES `laboratorios` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `servicios_laboratorios`
--

/*!40000 ALTER TABLE `servicios_laboratorios` DISABLE KEYS */;
INSERT INTO `servicios_laboratorios` VALUES (1,1,'CORONA',100,'2021-11-20 16:12:53','2021-11-20 16:12:53'),(2,1,'SALUDAR',200,'2021-11-20 16:14:00','2021-11-20 16:14:00');
/*!40000 ALTER TABLE `servicios_laboratorios` ENABLE KEYS */;

--
-- Table structure for table `tratamientos`
--

DROP TABLE IF EXISTS `tratamientos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tratamientos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `descripcion` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `precio` double NOT NULL,
  `descripcion_interna` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tipo` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'PRIVADO',
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tratamientos`
--

/*!40000 ALTER TABLE `tratamientos` DISABLE KEYS */;
INSERT INTO `tratamientos` VALUES (1,'CONSULTA','CONSULTA CON RADIO',150,NULL,'PRIVADO',NULL,'2021-11-20 15:41:21','2021-11-20 15:41:21'),(2,'LIMPIEZA','LIMPIEZA S.',250,NULL,'PRIVADO',NULL,'2021-11-20 15:41:40','2021-11-20 15:41:40');
/*!40000 ALTER TABLE `tratamientos` ENABLE KEYS */;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `role_id` bigint unsigned DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `vacaciones` date NOT NULL,
  `sueldo` double NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  KEY `users_role_id_foreign` (`role_id`),
  CONSTRAINT `users_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'Admin Ariel Ramirez','info@decodev.net',NULL,'$2y$10$2SG8zJGw7x/SRE8PxmBkIOFTesOLoXvTdTn8kOXlvIvSBhQ3urt1a',1,NULL,'2021-11-16 22:53:01','2021-11-16 22:53:01',NULL,'0000-00-00',0),(2,'User Jonatan Lopez','user@decodev.net',NULL,'$2y$10$vJJoAzshddMigq.sTqzKjOLHRw7jXiYRo1Q/D5sPyldlVBDXFQsPy',2,NULL,'2021-11-16 22:53:02','2021-11-16 22:53:02',NULL,'0000-00-00',0);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;

--
-- Table structure for table `venta_articulos`
--

DROP TABLE IF EXISTS `venta_articulos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `venta_articulos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `articulo_id` bigint unsigned NOT NULL,
  `cliente` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'Consumidor Final',
  `nit` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'C/F',
  `factura_id` bigint unsigned NOT NULL,
  `credito` char(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cantidad` double NOT NULL,
  `total` double NOT NULL,
  `descuento` double NOT NULL,
  `mayorista` blob,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `paciente_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `venta_articulos_articulo_id_foreign` (`articulo_id`),
  KEY `venta_articulos_factura_id_foreign` (`factura_id`),
  KEY `venta_articulos_paciente_id_foreign` (`paciente_id`),
  CONSTRAINT `venta_articulos_articulo_id_foreign` FOREIGN KEY (`articulo_id`) REFERENCES `articulos` (`id`),
  CONSTRAINT `venta_articulos_factura_id_foreign` FOREIGN KEY (`factura_id`) REFERENCES `facturas` (`id`),
  CONSTRAINT `venta_articulos_paciente_id_foreign` FOREIGN KEY (`paciente_id`) REFERENCES `pacientes` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `venta_articulos`
--

/*!40000 ALTER TABLE `venta_articulos` DISABLE KEYS */;
INSERT INTO `venta_articulos` VALUES (1,1,'14','C/F',2,'0',1,100,0,_binary '0',NULL,'2021-11-20 16:18:03','2021-11-20 16:18:03',1);
/*!40000 ALTER TABLE `venta_articulos` ENABLE KEYS */;

--
-- Table structure for table `venta_kanauses`
--

DROP TABLE IF EXISTS `venta_kanauses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `venta_kanauses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `articulo_id` bigint unsigned NOT NULL,
  `cliente` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'Consumidor Final',
  `nit` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT 'C/F',
  `factura_id` bigint unsigned NOT NULL,
  `credito` char(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cantidad` double NOT NULL,
  `total` double NOT NULL,
  `descuento` double NOT NULL,
  `mayorista` blob,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `venta_kanauses_articulo_id_foreign` (`articulo_id`),
  KEY `venta_kanauses_factura_id_foreign` (`factura_id`),
  CONSTRAINT `venta_kanauses_articulo_id_foreign` FOREIGN KEY (`articulo_id`) REFERENCES `articulos_kanauses` (`id`),
  CONSTRAINT `venta_kanauses_factura_id_foreign` FOREIGN KEY (`factura_id`) REFERENCES `facturas` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `venta_kanauses`
--

/*!40000 ALTER TABLE `venta_kanauses` DISABLE KEYS */;
INSERT INTO `venta_kanauses` VALUES (1,1,'ARIEL REAMIREZ','C/F',1,'0',1,10,0,_binary '0','2021-11-16 23:01:51','2021-11-16 23:01:51'),(2,1,'ARIEL','C/F',3,'0',1,10,0,_binary '0','2021-11-20 16:27:29','2021-11-20 16:27:29');
/*!40000 ALTER TABLE `venta_kanauses` ENABLE KEYS */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-11-21 12:50:30
