@extends('layouts.admin')
@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col ">
            <div class="card p-4 mb-3">
                <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">Articulo</a>
                    </li>

                   
                    <li class="nav-item">
                        <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab" aria-controls="pills-profile" aria-selected="false">Actualizar</a>
                    </li>
                

                    <li class="nav-item">
                        <a class="nav-link " target="_blank" href="{{route('articulo.exportdata', ['id' => $articulo->id])}}">Imprimir Codigo</a>
                    </li>

                </ul>
                <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active text-center" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">

                        <h4> Articulo / {{$articulo->nombre}}</h4>

                        <div class="card p-3">
                            <div class="center">
                                <img class="card-img-top img-fluid" style="width: 300px;" src="{{$articulo->img}}" alt="{{$articulo->nombre}}">
                            </div>
                            <div class="card-body row">


                                <div class="col-md-6">
                                    <h2 class="text-uppercase text-center">{{$articulo->nombre}}</h2>
                                    <pre class="card-text text-capitalize">Descripcion: {{$articulo->descripcion}} / {{$articulo->nomCat}} </pre>
                                    <pre class="card-text text-capitalize">Descripcion Interna: {{$articulo->descripcion_interna}} </pre>
                                    <p class="card-text text-capitalize">Codigo De Barras: {{$articulo->cod_barras}}</p>
                                    <p class="card-text">Precio Venta: Q. {{number_format($articulo->p_venta, 2)}}</p>
                                    <p class="card-text">Precio Costo: Q. {{number_format($articulo->p_costo, 2)}}</p>

                                    <!-- Q. number_format($producto->p_venta, 2) -->

                                    <p class="card-text">Utilidad del Articulo: Q. {{$articulo->p_venta - $articulo->p_costo}}</p>
                                    <p class="card-text">Fecha de Registro: {{$articulo->created_at}}</p>

                                    <p>Minimo de Stock: {{$articulo->min_stock}}</p>

                                    <p class="card-text">Existencia:
                                        @if($articulo->stock > $articulo->min_stock)
                                        <span class="badge bg-success" style="font-size: 15px;">{{$articulo->stock}}</span>
                                        @else
                                        <span class="badge bg-warning" style="font-size: 15px;">{{$articulo->stock}} (Poca existencia)</span>
                                        @endif
                                    </p>
                                </div>

                                <div class="col-md-6">

                                    <h3>DATOS DE PROVEEDOR</h3>
                                    <p>Nombre: {{$articulo->provName}}</p>
                                    <p>Telefono Primario: {{$articulo->telefono1}}</p>
                                    <p>Telefono Secundario: {{$articulo->telefono2}}</p>
                                    <p>Articulos Que Provee</p>
                                    <pre>{{$articulo->articulos}}</pre>

                                </div>
                            </div>
                        </div>




                    </div>
                    <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
                        <h4>Actualizar</h4>

                       
                        <form action="{{route('articulo.update', ['id' => $articulo->id])}}" method="POST">
                            @csrf
                            @method('PUT')
                            @include('admin.articulos/forms/store')

                            <button type="submit" class="btn btn-warning btn-block"> <i class="fas fa-save    "></i> Actualizar</button>
                        </form>
                       

                    </div>

                </div>

            </div>
        </div>
    </div>
</div>

@endsection