@extends('layouts.doctor')


@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body table-responsive">
                    <table class="table" id="tabla">
                        <thead>
                            <tr>
                                <th></th>
                                <th>PACIENTE</th>
                                <th>TRATAMIENTO</th>
                                <th>PIEZA</th>
                                <th>RECOMENDACION</th>
                                <th></th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($procedimientos as $d)
                            @if (isset($d->paciente->nombre) && isset($d->tratamiento->nombre))


                            <tr>
                                <td></td>
                                <td>{{$d->paciente->nombre}}</td>
                                <td>{{$d->tratamiento->nombre}}</td>
                                <td>{{$d->pieza}}</td>
                                <td>

                                    <input type="hidden" id="doc_id" name="doc_id" value="{{$d->doctor_id}}">

                                    <textarea name="recomendacion[]" id="recomendacion<?php echo $d->id; ?>" cols="30" rows="3">{{$d->recomendacion}}</textarea>



                                    <button onclick="process_Data(<?php echo $d->id; ?>, <?php echo $d->doctor_id; ?>, '<?php echo 'recomendacion' . $d->id; ?>')" class="btn btn-success"><i class="fa fa-check" aria-hidden="true"></i></button>
                                    <!--  -->
                                </td>
                                <td></td>
                            </tr>
                            @else

                            @endif
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection


@section('style')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
<link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.11.1/dist/sweetalert2.min.css" rel="stylesheet">
@endsection

@section('scripts')
<!-- <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script> -->
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.11.1/dist/sweetalert2.all.min.js"></script>
<script>
    function process_Data(pro_id, doc_id, reco) {
        // Valores a enviar
        const dr_id = doc_id;
        const recomendacion = document.getElementById(reco).value;

        let route = "{{route('doctor.updateProcedimientoajax')}}"

        // Construir la URL con los parámetros
        const url = new URL(route);
        url.searchParams.append('procedimiento_id', pro_id);
        url.searchParams.append('recomendacion', recomendacion);

        // Realizar la solicitud GET usando fetch
        fetch(url)
            .then(response => {
                // Verificar si la respuesta es exitosa
                if (!response.ok) {
                    throw new Error('Error en la respuesta de la red');
                }
                // Parsear la respuesta como JSON
                return response.json();
            })
            .then(data => {

                Swal.fire({
                    title: 'Procedimiento',
                    text: 'Actualizado Con Exito',
                    icon: 'success',
                    toast: true,
                    timer: 3000,
                    position: 'bottom-end',
                    showConfirmButton: false
                })

            })
            .catch(error => {
                // Manejo de errores
                console.error('Hubo un problema con la solicitud Fetch:', error);
            });
    }



    $(document).ready(function() {
        $('#tabla').DataTable({
            "language": {
                'info': '_TOTAL_ REGISTROS',
                'search': 'BUSCAR',
                'paginate': {
                    'next': 'SIGUIENTE',
                    'previous': 'ATRAS'
                },
                'loadingRecords': 'CARGANDO',
                'emptyTable': 'NO EXISTEN DATOS',
                'zeroRecords': 'NO EXISTEN DATOS IGUALES'
            }
        });
    });
</script>
@endsection