<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>{{config('app.name')}}</title>
    <link href="{{asset('theme/theme2/all.min.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('theme/theme2/fuentes.css')}}" rel="stylesheet">
    <link href="{{asset('theme/theme2/sb-admin-2.min.css')}}" rel="stylesheet">
    <script src="{{asset('plugins/fontaweson/fontaws.js')}}"></script>

    @yield('styles')

    <style>
        body {
            color: black
        }
    </style>
</head>

<body id="page-top">

    <div id="wrapper">
        <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">


            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{{route('doc.home')}}">
                <div class="sidebar-brand-icon rotate-n-15">
                    <i class="fas fa-laugh-wink"></i>
                </div>
                <div class="sidebar-brand-text mx-3">{{config('app.name')}} <sup>Doctores</sup></div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item active">
                <a class="nav-link" href="{{route('doc.home')}}">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>INICIO</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="{{route('doc.pacientesHoy')}}">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>PACIENTES DE HOY</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="{{route('doc.pacientestredias')}}">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>PACIENTES DE 3 DIAS ANTES</span></a>
            </li>

            <li class="nav-item active">
                <a class="nav-link" href="{{route('doc.reportes')}}">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Reporte</span></a>
            </li>


        </ul>
        <div id="content-wrapper" class="d-flex flex-column">
            <div id="content">
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Search -->


                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                        <li class="nav-item dropdown no-arrow d-sm-none">
                            <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-search fa-fw"></i>
                            </a>
                            <!-- Dropdown - Messages -->
                            <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in" aria-labelledby="searchDropdown">

                            </div>
                        </li>

                        <!-- Nav Item - Alerts -->
                        <li class="nav-item dropdown no-arrow mx-1">
                            <a class="nav-link dropdown-toggle" href="#" id="alertsDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-bell fa-fw"></i>
                                <!-- Counter - Alerts -->
                                <span class="badge badge-danger badge-counter">+1</span>
                            </a>
                            <!-- Dropdown - Alerts -->
                            <div class="dropdown-list dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="alertsDropdown">
                                <h6 class="dropdown-header">
                                    TAREAS A CLIFICAR ??
                                </h6>
                                <a class="dropdown-item d-flex align-items-center" href="#">

                                    <div class="mr-3">
                                        <div class="icon-circle bg-primary">
                                            <i class="fas fa-file-alt text-white"></i>
                                        </div>
                                    </div>
                                    <div>
                                        <div class="small text-gray-500">December 12, 2019</div>
                                        <span class="font-weight-bold">A new monthly report is ready to download!</span>
                                    </div>
                                </a>

                            </div>
                        </li>



                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{session()->get('doctor')['nombre']}}</span>
                                <img class="img-profile rounded-circle" src="https://ui-avatars.com/api/?name={{session()->get('doctor')['nombre']}}">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">

                                <div class="dropdown-divider"></div>
                                <form method="POST" action="{{route('doctor.logout')}}">
                                    @csrf
                                    <button type="submit" class="btn btn-info">SALIR</button>

                                </form>
                            </div>
                        </li>

                    </ul>

                </nav>
                <div class="container-fluid">
                    @include('includes.alerts')
                    @yield('content')
                </div>
            </div>
            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright &copy; @php
                            echo date('Y')
                            @endphp #SiLoPuedesImaginarLoPodemosProgramar <a target="_blank" style="" href="https://www.decodev.net/">DeCoDev.net</a></span>
                    </div>
                </div>
            </footer>
        </div>
    </div>

    <script src="{{asset('theme/theme2/jquery.min.js')}}"></script>
    <script src="{{asset('theme/theme2/bootstrap.bundle.js')}}"></script>
    <script src="{{asset('theme/theme2/jquery.easing.min.js')}}"></script>
    <script src="{{asset('theme/theme2/sb-admin-2.min.js')}}"></script>
    @yield('scripts')
</body>

</html>