@extends('layouts.app')

@section('content')

<div class="container-fluid">
    <div class="row">
        <div class="col">
            <h4 class="card-title text-center display-4"><br>Articulos Registrados</h4>
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover" id="table_id" data-page-length="15">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Descripcion </th>
                                <th>Categoria</th>
                                <th>Precio Venta</th>
                                <th>Precio Costo</th>
                                <th>Utilidad</th>
                                <th>Stock</th>

                            </tr>
                        </thead>
                        <tbody>

                            <?php $pventaTotal = 0;
                            $pcostoTotal = 0 ?>
                            @foreach($articulos as $art)
                            <tr>

                                <?php
                                $pventaTotal = $pventaTotal + ($art->p_venta * $art->stock);
                                $pcostoTotal = $pcostoTotal + ($art->p_costo * $art->stock);

                                ?>
                                <td>{{$art->nombre}}</td>
                                <td>{{$art->descripcion}}</td>
                                <td>{{$art->nomCat}}</td>
                                <td>{{$art->p_venta}}</td>
                                <td>{{$art->p_costo}}</td>
                                <td>{{$art->p_venta - $art->p_costo}}</td>
                                <td>{{$art->stock}}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <div class="text-right mx-4">
                        <h2>Total de Tipos de Articulos: Q. {{number_format($total, 2)}}</h2>
                        <h2>Total de Precio Venta: Q. {{number_format($pventaTotal, 2)}}</h2>
                        <h2>Total de Precio Costo: Q. {{number_format($pcostoTotal, 2)}}</h2>
                        <h2>Total de Utilidad: Q. {{number_format($pventaTotal - $pcostoTotal, 2)}}</h2>
                    </div>

                    <button class="btn btn-info oculto-impresion" onclick="exportTableToExcel2('tblData', 'TRATAMIENTOS')">EXPORTAR TABLA</button>


                </div>
            </div>
        </div>
    </div>
</div>

@endsection



@section('scripts')
<script>
    function exportTableToExcel2(tableID, filename) {
        // Tipo de exportación
        if (!filename) filename = 'excel_data.xls';
        let dataType = 'application/vnd.ms-excel';

        // Origen de los datos
        let tableSelect = document.getElementById(tableID);
        let tableHTML = tableSelect.outerHTML;

        // Crea el archivo descargable
        let blob = new Blob([tableHTML], {
            type: dataType
        });

        // Crea un enlace de descarga en el navegador
        if (window.navigator && window.navigator.msSaveOrOpenBlob) { // Descargar para IExplorer
            window.navigator.msSaveOrOpenBlob(blob, filename);
        } else { // Descargar para Chrome, Firefox, etc.
            let a = document.createElement("a");
            document.body.appendChild(a);
            a.style = "display: none";
            let csvUrl = URL.createObjectURL(blob);
            a.href = csvUrl;
            a.download = filename;
            a.click();
            URL.revokeObjectURL(a.href)
            a.remove();
        }
    }
</script>
@endsection