@extends('layouts.app')
@section('content')

<div class="container-fluid" >
    <div class="row">
        <div class="col">
            <h4 class="card-title text-center display-4"><br>Articulos Registrados con Poca Existencia</h4>
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover" id="tblData">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Descripcion </th>
                                <th>Categoria</th>
                                <th>Precio Venta</th>
                                <th>Precio Costo</th>
                                <th>Stock</th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach($articulos as $art)
                            @if ($art->stock < $art->min_stock)
                                {{$total ++}}
                                <tr>
                                    <td>{{$art->nombre}}</td>
                                    <td>{{$art->descripcion}}</td>
                                    <td>{{$art->nomCat}}</td>
                                    <td>{{$art->p_venta}}</td>
                                    <td>{{$art->p_costo}}</td>
                                    <td>{{$art->stock}}</td>
                                </tr>
                                @endif
                                @endforeach
                        </tbody>
                    </table>

                    <div class="text-right mx-4">
                        <h2>Total de Articulos: {{$total}}</h2>
                    </div>


                    <button class="btn btn-info oculto-impresion" onclick="exportTableToExcel2('tblData', 'TRATAMIENTOS')">EXPORTAR TABLA</button>

                </div>
            </div>
        </div>
    </div>
</div>

@endsection


@section('scripts')
<script>
   function exportTableToExcel2(tableID, filename) {
      // Tipo de exportación
      if (!filename) filename = 'excel_data.xls';
      let dataType = 'application/vnd.ms-excel';

      // Origen de los datos
      let tableSelect = document.getElementById(tableID);
      let tableHTML = tableSelect.outerHTML;

      // Crea el archivo descargable
      let blob = new Blob([tableHTML], {
         type: dataType
      });

      // Crea un enlace de descarga en el navegador
      if (window.navigator && window.navigator.msSaveOrOpenBlob) { // Descargar para IExplorer
         window.navigator.msSaveOrOpenBlob(blob, filename);
      } else { // Descargar para Chrome, Firefox, etc.
         let a = document.createElement("a");
         document.body.appendChild(a);
         a.style = "display: none";
         let csvUrl = URL.createObjectURL(blob);
         a.href = csvUrl;
         a.download = filename;
         a.click();
         URL.revokeObjectURL(a.href)
         a.remove();
      }
   }
</script>
@endsection