@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col">

            <h4 class="card-title text-center display-4"> <br>
                Control de Articulos <?php echo date('d-M-Y') ?> <br>
            </h4>

            <div class="card">
                <div class="card-body">
                    <table class="table table-hover" id="table_id" data-page-length="15">
                        <thead>
                            <tr>
                                <th>Factura</th>
                                <th>Articulo </th>
                                <th>Cantidad</th>
                                <th>Fecha de Venta</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $total = 0; ?>
                            @foreach($articulos as $art)
                            <tr>
                                <td>{{$art->factura_id}}</td>
                                <td>{{$art->nomArt}} {{$art->descripcion}}</td>
                                <td>{{$art->cantidad}}</td>
                                <td>{{$art->fechaVenta}}</td>
                                <?php $total = $total + $art->cantidad; ?>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <div class="text-right mx-4">
                        <h2>Total de Articulos Vendidos: {{$total}}</h2>
                    </div>



                </div>


                <button class="btn btn-info oculto-impresion" onclick="exportTableToExcel2('table_id', 'TRATAMIENTOS')">EXPORTAR TABLA</button>
            </div>
        </div>
    </div>
</div>

@endsection
@section('scripts')
<script>
    function exportTableToExcel2(tableID, filename) {
        // Tipo de exportación
        if (!filename) filename = 'excel_data.xls';
        let dataType = 'application/vnd.ms-excel';

        // Origen de los datos
        let tableSelect = document.getElementById(tableID);
        let tableHTML = tableSelect.outerHTML;

        // Crea el archivo descargable
        let blob = new Blob([tableHTML], {
            type: dataType
        });

        // Crea un enlace de descarga en el navegador
        if (window.navigator && window.navigator.msSaveOrOpenBlob) { // Descargar para IExplorer
            window.navigator.msSaveOrOpenBlob(blob, filename);
        } else { // Descargar para Chrome, Firefox, etc.
            let a = document.createElement("a");
            document.body.appendChild(a);
            a.style = "display: none";
            let csvUrl = URL.createObjectURL(blob);
            a.href = csvUrl;
            a.download = filename;
            a.click();
            URL.revokeObjectURL(a.href)
            a.remove();
        }
    }
</script>
@endsection