@extends('layouts.app')
@section('content')

<div class="row">
    <div class="col">
        @include('includes.alerts')
    </div>
</div>

<div class="container-fluid p-3">
    <div class="row">
        <div class="col mt-4">
            <h4 class="text-center display-4">CUADRES CLINICA </h4>
        </div>
    </div>
    <div class="row my-4">
        <div class="col">
            <table class="table table-hover" id="cauadres" data-page-length="31">
                <thead>
                    <tr>
                        <th>Fecha</th>
                        <th>Entradas </th>
                        <th>Salidas</th>
                        <th>Total A Cuadrar</th>
                        <th>Total en Efectivo</th>
                        <th>Total en Visas</th>
                        <th>Deuda Medicamentos</th>
                        <th>Faltante</th>
                        <th>Acciones</th>

                    </tr>
                </thead>
                <tbody>
                    @php
                    $totalMes = 0;
                    @endphp
                    @foreach($cuadres as $cau)
                    <tr>
                        <td>{{$cau->created_at}}</td>
                        <td>Q. {{number_format($cau->entrada, 2)}}</td>
                        <td>Q. {{number_format($cau->salida, 2)}}</td>
                        <td>Q. {{number_format($cau->cuadre, 2)}}</td>
                        <td>Q. {{number_format($cau->totalEfectico, 2)}}</td>
                        <td>Q. {{number_format($cau->totalVisas, 2)}}</td>
                        <td>Q. {{number_format($cau->deuda_medicamento, 2)}}</td>
                        <td>Q. {{number_format($cau->faltante, 2)}}</td>
                        <td>
                            @php
                            $aux = explode(" ", $cau->created_at);
                            $totalMes += $cau->cuadre;
                            @endphp


                            @can('caja_movimientos_dia')
                            <a href="{{route('caja.cuadreFecha', [ 'fecha' => $aux[0] ] )}}" class="btn btn-sm btn-info"> <i class="fa fa-eye" aria-hidden="true"></i></a>
                            @endcan

                            @can('caja_cuadre_delete')
                            <a href="{{route('caja.deleteCuadre', [ 'id' => $cau->id ] )}}" class="btn btn-sm btn-danger" onclick="return confirm('¿Esta Seguro de Eliminar?')"> <i class="fa fa-trash" aria-hidden="true"></i></a>
                            @endcan
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>


            <h4>TOTAL EN CUADRES CLINICA: Q. {{number_format($totalMes,2)}}</h4>

            <button class="btn btn-info oculto-impresion" onclick="exportTableToExcel2('cauadres', 'CUADRES CLINICA')">EXPORTAR TABLA</button>


        </div>
    </div>

    <div class="row my-4">
        <div class="col">
            <h4 class="text-center display-4">CUADRES MEIDCAMENTO </h4>

            <table class="table table-hover" id="cauadres2" data-page-length="31">
                <thead>
                    <tr>
                        <th>Fecha</th>

                        <th>Total A Cuadrar</th>
                        <th>Total en Efectivo</th>
                        <th>Total en Visas</th>
                        <th>Deuda Medicamentos</th>
                        <th>Faltante</th>

                    </tr>
                </thead>
                <tbody>
                    @php
                    $totalMes = 0;
                    @endphp
                    @foreach($cuadreMedicamento as $cau)
                    <tr>
                        <td>{{$cau->created_at}}</td>

                        <td>Q. {{number_format($cau->cuadre, 2)}}</td>
                        <td>Q. {{number_format($cau->totalEfectico, 2)}}</td>
                        <td>Q. {{number_format($cau->totalVisas, 2)}}</td>
                        <td>Q. {{number_format($cau->deuda_medicamento, 2)}}</td>
                        <td>Q. {{number_format($cau->faltante, 2)}}</td>
                       
                            @php
                            $aux = explode(" ", $cau->created_at);
                            $totalMes += $cau->cuadre;
                            @endphp
                       
                    </tr>
                    @endforeach
                </tbody>
            </table>
            <h4>TOTAL EN CUADRES MEDICAMENTO: Q. {{number_format($totalMes,2)}}</h4>

            <button class="btn btn-info oculto-impresion" onclick="exportTableToExcel2('cauadres2', 'CUADRE MEDICAMENTO')">EXPORTAR TABLA</button>


        </div>
    </div>



    <div class="row my-4">
        <div class="col">
            <h4 class="text-center display-4">CUADRES ORTODONCIA </h4>

            <table class="table table-hover" id="cauadres3" data-page-length="31">
                <thead>
                    <tr>
                        <th>Fecha</th>
                        <th>Total A Cuadrar</th>
                        <th>Total en Efectivo</th>
                        <th>Total en Visas</th>
                        <th>Faltante</th>
                    </tr>
                </thead>
                <tbody>
                    @php
                    $totalMes = 0;
                    @endphp
                    @foreach($cuadreOrto as $cau)
                    <tr>
                        <td>{{$cau->created_at}}</td>

                        <td>Q. {{number_format($cau->cuadre, 2)}}</td>
                        <td>Q. {{number_format($cau->totalEfectico, 2)}}</td>
                        <td>Q. {{number_format($cau->totalVisas, 2)}}</td>
                        <td>Q. {{number_format($cau->faltante, 2)}}</td>
                        
                            @php
                            $aux = explode(" ", $cau->created_at);
                            $totalMes += $cau->cuadre;
                            @endphp

                            
                        
                    </tr>
                    @endforeach
                </tbody>
            </table>
            <h4>TOTAL EN CUADRES MEDICAMENTO: Q. {{number_format($totalMes,2)}}</h4>
            <button class="btn btn-info oculto-impresion" onclick="exportTableToExcel2('cauadres3', 'CUADRE ORTODONCIA')">EXPORTAR TABLA</button>

        </div>
    </div>


</div>
@endsection



@section('scripts')
<script>
    function exportTableToExcel2(tableID, filename) {
        // Tipo de exportación
        if (!filename) filename = 'excel_data.xls';
        let dataType = 'application/vnd.ms-excel';

        // Origen de los datos
        let tableSelect = document.getElementById(tableID);
        let tableHTML = tableSelect.outerHTML;

        // Crea el archivo descargable
        let blob = new Blob([tableHTML], {
            type: dataType
        });

        // Crea un enlace de descarga en el navegador
        if (window.navigator && window.navigator.msSaveOrOpenBlob) { // Descargar para IExplorer
            window.navigator.msSaveOrOpenBlob(blob, filename);
        } else { // Descargar para Chrome, Firefox, etc.
            let a = document.createElement("a");
            document.body.appendChild(a);
            a.style = "display: none";
            let csvUrl = URL.createObjectURL(blob);
            a.href = csvUrl;
            a.download = filename;
            a.click();
            URL.revokeObjectURL(a.href)
            a.remove();
        }
    }
</script>
@endsection