@extends('layouts.app')

@section('content')

<div class="container-fluid" >
   <div class="row">
      <div class="col">

         <h1 class="display-4 text-center">REPORTE DE SALIDAS</h1>

         <table class="table" id="table">
            <thead>
               <tr>
                  <th>Fecha</th>
                  <th>Valor</th>
                  <th>Factura</th>
                  <th>Descripcion</th>
                  <th>Tipo</th>
               </tr>
            </thead>
            <tbody>
               @foreach ($data as $dt)
               <tr>
                  <td scope="row">{{$dt->fecha}}</td>
                  <td>Q. {{number_format($dt->valor, 2)}}</td>
                  <td>{{$dt->factura}}</td>
                  <td>{{$dt->descripcion}}</td>
                  <td>GASTO {{$dt->tipo}}</td>
               </tr>
               @endforeach
               
            </tbody>
         </table>

         <h4>Total: Q. {{number_format($total, 2)}}</hh4>

    <button class="btn btn-info oculto-impresion" onclick="exportTableToExcel2('table', 'VENTA DE MEDICAMENTOS')">EXPORTAR TABLA</button>

      </div>
   </div>
</div>


@endsection



@section('scripts')
<script>
    function exportTableToExcel2(tableID, filename) {
        // Tipo de exportación
        if (!filename) filename = 'excel_data.xls';
        let dataType = 'application/vnd.ms-excel';

        // Origen de los datos
        let tableSelect = document.getElementById(tableID);
        let tableHTML = tableSelect.outerHTML;

        // Crea el archivo descargable
        let blob = new Blob([tableHTML], {
            type: dataType
        });

        // Crea un enlace de descarga en el navegador
        if (window.navigator && window.navigator.msSaveOrOpenBlob) { // Descargar para IExplorer
            window.navigator.msSaveOrOpenBlob(blob, filename);
        } else { // Descargar para Chrome, Firefox, etc.
            let a = document.createElement("a");
            document.body.appendChild(a);
            a.style = "display: none";
            let csvUrl = URL.createObjectURL(blob);
            a.href = csvUrl;
            a.download = filename;
            a.click();
            URL.revokeObjectURL(a.href)
            a.remove();
        }
    }
</script>
@endsection