@extends('layouts.web')

@section('baner')
<div class="wrapper coloured">
   <article class="hoc cta clear">
      <!-- ################################################################################################ -->
      <h6 class="three_quarter first">{{config('app.name')}} {{config('app.slogan')}}</h6>
      <footer class="one_quarter"><a class="btn" href="#">CONTACTANOS</a></footer>
      <!-- ################################################################################################ -->
   </article>
</div>
@endsection

@section('instlaciones')

@php
$img = asset('logos/logo-dark.png');
@endphp

<div class="wrapper bgded overlay gradient" style="background-image:url('{{$img}}');">
   <div id="pageintro" class="hoc clear">

      <article>
         <p>{{config('app.slogan')}}</p>
         <h3 class="heading">{{config('app.name')}}</h3>
         <footer>
            <ul class="nospace inline pushright">
               <li><a class="btn inverse" href="#">CONTACTANOS</a></li>
            </ul>
         </footer>
      </article>

   </div>
</div>

<div class="wrapper row2">
   <section class="hoc container clear">
      <!-- ################################################################################################ -->
      <div class="sectiontitle">
         <h6 class="heading">NUESTRAS INSTALACIONES</h6>
         <!-- <p>Elementum nisi ac volutpat vestibulum enim mi tincidunt eros</p> -->
      </div>
      <ul class="nospace group prices">
         <li class="one_third">
            <img src="https://i.picsum.photos/id/645/200/300.jpg?hmac=fiKW3Nj8r0CWJQY3S-kkeT8PAfvKhA8igd9GIRk41Yw" alt="">
         </li>
         <li class="one_third">
            <img src="https://i.picsum.photos/id/645/200/300.jpg?hmac=fiKW3Nj8r0CWJQY3S-kkeT8PAfvKhA8igd9GIRk41Yw" alt="">
         </li>
         <li class="one_third">
            <img src="https://i.picsum.photos/id/645/200/300.jpg?hmac=fiKW3Nj8r0CWJQY3S-kkeT8PAfvKhA8igd9GIRk41Yw" alt="">
         </li>
         <li class="one_third">
            <img src="https://i.picsum.photos/id/645/200/300.jpg?hmac=fiKW3Nj8r0CWJQY3S-kkeT8PAfvKhA8igd9GIRk41Yw" alt="">
         </li>
         <li class="one_third">
            <img src="https://i.picsum.photos/id/645/200/300.jpg?hmac=fiKW3Nj8r0CWJQY3S-kkeT8PAfvKhA8igd9GIRk41Yw" alt="">
         </li>
         <li class="one_third">
            <img src="https://i.picsum.photos/id/645/200/300.jpg?hmac=fiKW3Nj8r0CWJQY3S-kkeT8PAfvKhA8igd9GIRk41Yw" alt="">
         </li>


      </ul>
      <!-- ################################################################################################ -->
   </section>
</div>

@endsection

@section('docs')
<div class="wrapper row3">
   <main class="hoc container clear">
      <!-- main body -->
      <!-- ################################################################################################ -->
      <section id="introblocks">
         <div class="sectiontitle">
            <h6 class="heading">NUESTROS ESPECIALISTAS </h6>
            <p>EN {{config('app.name')}} CONTAMOS CON ESPECIALISTAS PARA CADA ÁREA DE TU BOCA</p>
         </div>
         <ul class="nospace group">

            @foreach ($doctores as $doc)
            <li class="one_third">
               <article>
                  <img width="150" src="/storage/doctores/{{ $doc->foto }}" class="img-fluid rounded-circle" alt="{{config('app.name')}}" srcset="">
                  <h6 class="heading">{{$doc->nombre}}</h6>
                  <p>ESPECILIDAD: {{$doc->especialidad}}</p>

               </article>
            </li>
            @endforeach

         </ul>
      </section>
      <!-- ################################################################################################ -->
      <!-- / main body -->
      <div class="clear"></div>
   </main>
</div>
@endsection


@section('trabajos')
<div class="wrapper row2">
   <section id="latest" class="hoc container clear">
      <!-- ################################################################################################ -->
      <div class="sectiontitle">
         <h6 class="heading">NUESTROS TRABAJOS</h6>
         <!-- <p>Sed auctor purus vel aliquet dignissim lectus nunc semper lorem</p> -->
      </div>
      <ul class="nospace group">
         <li class="one_third">
            <figure><a class="imgover" href="#"><img src="images/demo/348x261.png" alt=""></a>
               <figcaption>Porta facilisis</figcaption>
            </figure>
         </li>
         <li class="one_third">
            <figure><a class="imgover" href="#"><img src="images/demo/348x261.png" alt=""></a>
               <figcaption>Tellus lectus nec</figcaption>
            </figure>
         </li>
         <li class="one_third">
            <figure><a class="imgover" href="#"><img src="images/demo/348x261.png" alt=""></a>
               <figcaption>Pede suspendisse</figcaption>
            </figure>
         </li>
      </ul>
      <footer class="block center"><a class="btn" href="#">GALERIA</a></footer>
      <!-- ################################################################################################ -->
   </section>
</div>
@endsection


@section('content')
<!-- ################################################################################################ -->
<!-- ################################################################################################ -->
<!-- ################################################################################################ -->
<div class="wrapper bgded overlay" style="background-image:url('images/demo/backgrounds/01.png');">
   <div class="hoc container testimonial clear">
      <!-- ################################################################################################ -->
      <article><img src="images/demo/100x100.png" alt="">
         <blockquote>Lorem ipsum dolor sit amet consectetur adipisicing elit. Veritatis mollitia nobis possimus fugiat quaerat cum maxime quisquam doloremque magnam esse, dolorem assumenda vel consequatur sapiente earum consequuntur. Maiores, facilis aliquid.</blockquote>
         <h6 class="heading font-x1">P</h6>
         <em>15:2</em>
      </article>
      <!-- ################################################################################################ -->
   </div>
</div>
<!-- ################################################################################################ -->
<!-- ################################################################################################ -->
<!-- ################################################################################################ -->


@endsection