<!DOCTYPE html>
<html dir="ltr" lang="es">

<head>

   <title><?php echo e(config('app.name')); ?></title>
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
   <meta name="author" content="DeCoDev Desarrollo de Software">
   <!-- Favicon icon -->
   <link rel="icon" href="<?php echo e(asset('logos/ico.ico')); ?>" type="image/x-icon">
   <script src="<?php echo e(asset('plugins/fontaweson/fontaws.js')); ?>"></script>
   <link rel="stylesheet" href="<?php echo e(asset('plugins/bootstrap/bootstrap.min.css')); ?>">
   <link href="<?php echo e(asset('styles.css')); ?>" rel="stylesheet">

   <style>

   </style>

   <link rel="stylesheet" href="<?php echo e(asset('agrupado.css')); ?>">

   <style>
      .total {
         background-color: #d6ecad;
      }
   </style>
</head>

<body>



   <div class="text-center mb-3 mt-5">
      <a href="<?php echo e(route('home')); ?>">
         <img class="rounded shadow-sm" style="width: 25%;" src="<?php echo e(asset('logos/icono.jpg')); ?>" alt="<?php echo e(config('app.name')); ?>">
      </a>
   </div>

   <div class="text-center odo">Odontologia General</div>


   <div class="text-center direcc d1"><?php echo e(config('app.direccion')); ?></div>
   <div class="text-center direcc">Tel. <?php echo e(config('app.telefono')); ?>, Email: <?php echo e(config('app.email')); ?></div>

   <div class="line"></div>



   <div class="container-fluid">

      <?php echo $__env->make('includes.alerts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

      <div class="container">
         <div class="row">
            <div class="col">


               <div class="nombre">NOMBRE DEL PACIENTE: <b> <?php echo e($paciente->nombre); ?></b> </div>

               <div class="fecha">FECHA: <?php echo date("d-m-Y"); ?></div>

               <div class="contenido">
                  <div class="titulo text-center">PRESUPUESTO</div>

                  <table class="table bordes">
                     <thead>
                        <tr>
                           <th style="color: black;">No.</th>
                           <th style="color: black;">TRATAMIENTO</th>
                           <th style="color: black;">VALOR UNITARIO</th>
                           <th style="color: black;">VALOR TOTAL</th>
                        </tr>
                     </thead>
                     <tbody>
                        <?php $total = 0; ?>
                        <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                        $aux = 0;
                        $aux = $d->valor *  $d->numero;
                        $total += $aux;
                        ?>
                        <tr>
                           <td><?php echo e($d->numero); ?></td>
                           <td><?php echo e($d->nombre); ?>, <?php echo e($d->descripcion); ?></td>
                           <td class="text-right">Q. <?php echo e(number_format($d->valor,2)); ?></td>
                           <td class="text-right">Q. <?php echo e(number_format($aux,2)); ?></td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     </tbody>
                  </table>

                  <div class="total text-right">TOTAL: Q. <?php echo e(number_format($total,2)); ?></div>

                  <?php if($paciente->firma): ?>
                  <p style="margin-top: 2%; text-align: center;">
                     <img src="<?php echo e(config('app.url')); ?><?php echo e(Storage::url('paciente/firmas/'.$paciente->firma)); ?>" style="width: 25%;" alt=""><br>
                     F. ______________________________
                     <br>
                     Firma de aprobación de Presupuesto

                  </p>
                  <?php else: ?>
                  <p style="margin-top: 6%; text-align: center;">
                     F. ______________________________ <br>
                     Firma de aprobación de Presupuesto
                  </p>
                  <?php endif; ?>

                  <p>
                     <b>Notas:</b> <br>
                     - Presupuesto válido por <input type="text" style="font-weight: bold; border-top: 0px; border-left: 0px; border-right: 0px;"> <br>
                     - El éxito de su tratamiento también dependerá de sus cuidados.

                  </p>

                  <div class="mensaje text-center">Será un gusto poder servirle, ¡Dios le bendiga!</div>

               </div>


            </div>
         </div>
      </div>


   </div>


   <script src="<?php echo e(asset('plugins/bootstrap/jquery.min.js')); ?>"></script>
   <script src="<?php echo e(asset('plugins/bootstrap/popper.min.js')); ?>"></script>
   <script src="<?php echo e(asset('plugins/bootstrap/bootstrap.min.js')); ?>"></script>

</body>

</html><?php /**PATH /home/game/Escritorio/php/sonrieme/resources/views/reports/pacientes/procedimiento_agrupado.blade.php ENDPATH**/ ?>